<?php
class isender{
    
	var $Hosts = "";
	
	/*======================================================================*\
	Function:	__construct
	Descriiption: Конструктор класса
	\*======================================================================*/
	function __construct(){
	
		$this->Hosts = str_replace("www.","",$_SERVER['HTTP_HOST']);
	
	}
	
	/*======================================================================*\
	Function:	SendRegKey
	Descriiption: Отправляет регистрационный ключ
	\*======================================================================*/
	function SendRegKey($mail, $key){
	
		$text = "Вы или кто-то другой начал(а) процесс регистрации аккаунта в ". $this->Hosts ." на ваш электронный адрес.<br><br>";
		$text.= "Чтобы завершить регистрацию в ". $this->Hosts .", пожалуйста, перейдите по следующей ссылке: <a href='http://". $this->Hosts ."/signup/key/{$key}'>";
		$text.= "http://".$this->Hosts."/signup/key/{$key}</a>";
		$subject = "Запрос на регистрацию в ". $this->Hosts ."";
		return $this->SendMail($mail, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	RecoveryPassword
	Descriiption: Восстановление пароля
	\*======================================================================*/
	function RecoveryPassword($user, $pass, $mail){
		$text = "<b>Уважаемый(ая) пользователь</b>, вы создали заявку о восстановлении пароля. <br><br>";
		$text.= "Ваш пароль: {$pass}";
		$subject = "Восстановление пароля в ". $this->Hosts ."";
		return $this->SendMail($mail, $subject, $text);
	}
        
        /*======================================================================*\
	Function:	SendPin
	Descriiption: Восстановление пароля
	\*======================================================================*/
	function SendPin($pin, $mail){
		$text = 'Напоминание платежного пароля.<br><br>';
		$text.= '<b>Ваш платежный пароль: '.$pin.'<br>';
		$subject = 'Платежный пароль в системе '. $this->Hosts ;
		return $this->SendMail($mail, $subject, $text);
	}
	
	/*======================================================================*\
	Function:	SendAfterReg
	Descriiption: Отправляет данные после регистрации
	\*======================================================================*/
	function SendAfterReg($user, $mail, $pass){
		$text = "<b>Уважаемый(ая) пользователь</b>, Вы завершили регистрацию аккаунт в игре ". $this->Hosts .". Желаем вам больших заработков!<br><br>";
		$text.= "Для входа используйте данные: {$user};{$pass}.";
		$subject = "Завершение регистрации в ". $this->Hosts ."";
		return $this->SendMail($mail, $subject, $text);
	}
	
	/*======================================================================*\
	Function:	SetNewPassword
	Descriiption: Отправляет данные после смены пароля
	\*======================================================================*/
	function SetNewPassword($user, $pass, $mail){
		$text = "<b>Уважаемый(ая) пользователь,</b><BR />";
		$text.= "Ваши новые данные для входа: {$user};{$pass}<BR />";
		$text.= "Если вы не проводили данные изменения или вам нужна помощь, пожалуйста, обратитесь в Службу Поддержки.";
		$subject = "Смена пароля в ". $this->Hosts ."";
		return $this->SendMail($mail, $subject, $text);
		
	}
	/*======================================================================*\
	Function:	SendBugReport
	Descriiption: Отправляет жалобу на ссылку
	\*======================================================================*/
	function SendBugReport($id){
		$text = "Пожаловались на ссылку с id № ".$id."<BR />";
		$text.= 'Ссылка для редактирования: <a href="https://'.$this->Hosts.'/account/serfing/edit/'.$id.'">Перейти</a>';
		$subject = "Жалоба на серфинг в \"".$this->Hosts."\"";
		return $this->SendMail('i@psweb.ru', $subject, $text);
	}
	
	/*======================================================================*\
	Function:	Headers
	Descriiption: Создание заголовков письма
	\*======================================================================*/
	function Headers($recipient){
	
	$headers = "MIME-Version: 1.0\r\n";
	$headers.= "Date: ".date('r',time())."\r\n";
	$headers.= "From: <support@". $this->Hosts ."> \r\n";
	$headers.= "To: <".$recipient."> \r\n";
	$headers.= "Content-Type: text/html; charset=UTF-8\r\n";
	
		return $headers;
	}
	
	/*======================================================================*\
	Function:	SendMail
	Descriiption: Отправитель
	\*======================================================================*/
	function SendMail($recipient, $subject, $message){
		$message .= "<br><br>
                <small>Пожалуйста, не отвечайте на данное письмо. Данный почтовый адрес не может быть использован для связи с нами. 
                Если у вас есть вопросы, обращайтесь в support@". $this->Hosts ."</small>";
		return (mail($recipient, $subject, $message, $this->Headers($recipient))) ? true : false;
	}
}