<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Document Title -->
    <title><?=$config->SITE_NAME;?> - {!TITLE!}</title>

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/png" href="/favicon.png">

    <!-- CSS Files -->
    <!--==== Google Fonts ====-->

    <link href="https://fonts.googleapis.com/css?family=Exo+2:400,500&amp;subset=cyrillic" rel="stylesheet">

    <!--==== Bootstrap css file ====-->
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">

    <!--==== Font-Awesome css file ====-->
    <link rel="stylesheet" href="/assets/css/font-awesome.min.css">

    <!-- Owl Carusel css file -->
    <link rel="stylesheet" href="/assets/plugins/owl-carousel/owl.carousel.min.css">

    <!-- ====video poppu css==== -->
    <link rel="stylesheet" href="/assets/plugins/Magnific-Popup/magnific-popup.css">

    <!--==== Style css file ====-->
    <link rel="stylesheet" href="/assets/css/style.css">

    <!--==== Responsive css file ====-->
    <link rel="stylesheet" href="/assets/css/responsive.css">

    <!--==== Custom css file ====-->
    <link rel="stylesheet" href="/assets/css/custom.css?<?=time();?>">
    <!--==== JQuery file ====-->
    <script src="/assets/js/jquery-3.3.1.min.js"></script>
    <!-- ==== Functions js file==== -->
    <script src="/assets/js/functions.js"></script>
</head>

<body>
    <!-- Preloader -->
    <div class="preLoader">
        <div class="preload-inner">
            <div class="sk-cube-grid">
                <div class="sk-cube sk-cube1"></div>
                <div class="sk-cube sk-cube2"></div>
                <div class="sk-cube sk-cube3"></div>
                <div class="sk-cube sk-cube4"></div>
                <div class="sk-cube sk-cube5"></div>
                <div class="sk-cube sk-cube6"></div>
                <div class="sk-cube sk-cube7"></div>
                <div class="sk-cube sk-cube8"></div>
                <div class="sk-cube sk-cube9"></div>
            </div>
        </div>
    </div>
    <!-- End Of Preloader -->

    <!-- Main header -->
    <header class="header">
        <!-- Start Header Navbar-->
        <div class="main-header">
            <div class="main-menu-wrap">
                <div class="container">
                    <div class="row align-items-center">
                        <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                            <!-- Logo -->
                            <div class="logo">
                                <a href="/">
                                    <img src="/assets/img/logo.png" data-rjs="2" alt="KACCA.MONEY">
                                </a>
                            </div>
                            <!-- End of Logo -->
                        </div>
                        <?PHP
                        include('inc/_menu.php');
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Header Navbar-->
    </header>
    <!-- End of Main header -->