<?PHP
# Счетчик
function TimerSet(){
	list($seconds, $microSeconds) = explode(' ', microtime());
	return $seconds + (float) $microSeconds;
}
$_timer_a = TimerSet();
# Старт сессии
@session_start();
# Старт буфера
@ob_start();
# Default
$_OPTIMIZATION = array();
$_OPTIMIZATION["title"] = "Главная страница";
$_OPTIMIZATION["description"] = "Серфинг - это доступный способ заработка в интернете без вложений, выгодная реклама, куча рефералов.";
$_OPTIMIZATION["keywords"] = "заработок без вложений, серфинг, купить рекламу, рефералы";
# Константа для Include
define("PSWeb", true);
# Автоподгрузка классов
function __autoload($name){ include("classes/_class.".$name.".php");}
# Класс конфига 
$config = new config;
# Функции
$func = new func;
# База данных
$db = new db($config->HostDB, $config->UserDB, $config->PassDB, $config->BaseDB);
#отключение тарифов, которых прошел срок действия
$db->Query("UPDATE `db_tarif_buy` SET `status` = '0' WHERE `date_end` <= NOW()");
# Установка REFERER
include('inc/_set_referer.php');
$db->Query("SELECT * FROM `db_config` WHERE `id` = '1' LIMIT 1");
$db_config = $db->FetchArray();
# Шапка
@include('inc/_header.php');
if(isset($_GET['menu'])){
    $menu = strval($_GET['menu']);
    switch($menu){
        /*-------------Оновные страницы--------------*/
        case '404':         include('pages/_404.php'); break; // Страница ошибки
        case 'news':        include('pages/_news.php'); break; // Новости
        case 'recovery':    include('pages/_recovery.php'); break; // Восстановление пароля
        case 'statistics':  include('pages/_statistics.php'); break; // Статистика
        case 'contacts':    include('pages/_contacts.php'); break; // Контакты
        case 'advertiser':  include('pages/_advertiser.php'); break; // Рекламодателю
        case 'serfing':     include('pages/_serfing.php'); break; // Заработать
        case 'terms':       include('pages/_terms.php'); break; // Пользовательское соглашение
        case 'signup':      include('pages/_signup.php'); break; // Регистрация
        case 'signin':      include('pages/_signin.php'); break; // Авторизация
        case 'recovery':    include('pages/_recovery.php'); break; // Восстановление пароля
        case 'success':     include('pages/_success.php'); break; // страница успешной оплаты
        case 'fail':        include('pages/_fail.php'); break; // страница неуспешной оплаты
        /*-------------Страницы пользователя--------------*/
        case 'account':    include('pages/_account.php'); break; // Страницы аккаунта пользователя
        /*-------------Админка--------------*/
        case 'admin':       include('pages/_admin.php'); break; // Админка

        # Страница ошибки
        default: @include('pages/_404.php'); break;

    }
}else @include('pages/_index.php');
# Подвал
@include('inc/_footer.php');

# Заносим контент в переменную
$content = ob_get_contents();

# Очищаем буфер
ob_end_clean();

# Заменяем данные
$content = str_replace("{!TITLE!}",$_OPTIMIZATION["title"],$content);
$content = str_replace('{!DESCRIPTION!}',$_OPTIMIZATION["description"],$content);
$content = str_replace('{!KEYWORDS!}',$_OPTIMIZATION["keywords"],$content);
$content = str_replace('{!GEN_PAGE!}', sprintf("%.5f", (TimerSet() - $_timer_a)) ,$content);

# Вывод баланса
if(isset($_SESSION['user_id'])){
    $user_id = $_SESSION['user_id'];
    $db->Query("SELECT * FROM db_users_b WHERE id = '$user_id'");
    $user_data = $db->FetchArray();
    $content = str_replace('{!BALANCE_B!}', sprintf("%.2f", $user_data['money_b']) ,$content);
    $content = str_replace('{!USER_ID!}', $user_id ,$content);
    $content = str_replace('{!BALANCE_P!}', sprintf("%.2f", $user_data['money_p']) ,$content);
    $content = str_replace('{!BALANCE_S!}', sprintf("%.2f", $user_data['money_p']) ,$content);
}
// Выводим контент
echo $content;