<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$db->Query("SELECT `db_stats`.*,(SELECT SUM(`views`) FROM `db_users_b`) `all_views` FROM `db_stats`");
$data = $db->FetchArray();
$db->Query("SELECT `cost_1000`/1000 as `cost` FROM `db_serfing_plans` ORDER BY `cost_1000` ASC LIMIT 1");
$cost = number_format($db->FetchRow()*$db_config['ser_per_wmr']*$db_config['to_user_profit']/100,2);
?>
<!-- home banner area -->
    <div class="banner-area-inner">
        <div class="banner-inner-area banner-area1">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-md-8 col-lg-6 col-xl-5">
                        <!-- banner text -->
                        <div class="banner-text-inner">
                            <div class="banner-shape-wrap">
                                <div class="banner-shape-inner">
                                    <img src="/assets/img/banner/shaps1.png" alt="" class='shape shape1 rotate3d'>
                                    <img src="/assets/img/banner/shaps2.png" alt="" class='shape shape2 rotate2d'>
                                    <img src="/assets/img/banner/shaps3.png" alt="" class='shape shape3 rotate-2d'>
                                    <img src="/assets/img/banner/shaps4.png" alt="" class='shape shape4 rotate3d'>
                                    <img src="/assets/img/banner/shaps5.png" alt="" class='shape shape5 rotate2d'>
                                    <img src="/assets/img/banner/shaps6.png" alt="" class='shape shape6 rotate-2d'>
                                    <img src="/assets/img/banner/shaps7.png" alt="" class='shape shape7 rotate3d'>
                                </div>
                            </div>

                            <h1>Зарабатывай и рекламируй вместе с кассой</h1>
                            <p>Наш букс готов предложить вам простой способ заработка на просмотре рекламы без вложений и лишних усилий. Также вы можете заказать рекламу своих проектов.</p>
                            <a href="/signup" class="btn">Регистрация</a>
                            <a href="/signin" class="btn">Вход</a>
                        </div>
                        <!-- banner text -->
                    </div>
                    <div class="col-lg-5 offset-lg-1 col-md-4 offse-xl-2">
                        <!-- banner image-->
                        <div class="banner-image">
                            <img src="/assets/img/banner/mockup.png" alt="">
                        </div>
                        <!--End of banner image-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End of home banner area -->

    <!-- feature area -->
    <section class="pb-110" id='features'>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12 col-lg-8">
                    <!-- section title -->
                    <div class="section-title text-center">
                        <h2>Наши преимущества</h2>
                        <p>Даже если Вы уже сотрудничаете с проектами по быстрому заработку и активной рекламе, наши условия заработка и раскрутки на порядок выше конкурентов!</p>
                    </div>
                    <!-- End of section title -->
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-xl-10 col-lg-12">
                    <div class="feature-carousel owl-carousel">
                        <!-- single feature inner -->
                        <div class="single-feature-inner text-center">
                            <div class="feature-icon"><img src="/assets/img/icons/project-management.svg" class="svg" alt=""></div>
                            <h5>Сайт собственной<br> разработки</h5>
                            <p>В наш проект вложено немало времени и трудов, так что мы пришли всерьез и надолго.</p>
                        </div>
                        <!-- End of single feature inner -->

                        <!-- single feature inner -->
                        <div class="single-feature-inner text-center">
                            <div class="feature-icon"><img src="/assets/img/icons/solution.svg" class="svg" alt=""></div>
                            <h5>Свободный график <br> работы</h5>
                            <p>Вы сами решаете когда и сколько вам работать, у нас над вами нет никаких начальников.</p>
                        </div>
                        <!-- End of single feature inner -->

                        <!-- single feature inner -->
                        <div class="single-feature-inner text-center">
                            <div class="feature-icon"><img src="/assets/img/icons/planning.svg" class="svg" alt=""></div>
                            <h5>Прогрессивная партнерская программа</h5>
                            <p>Приглашая людей в проект, вы  будете получать 10% от их доходов и 5% от затрат на рекламу.</p>
                        </div>
                        <!-- End of single feature inner -->

                        <!-- single feature inner -->
                        <div class="single-feature-inner text-center">
                            <div class="feature-icon"><img src="/assets/img/icons/goal.svg" class="svg" alt=""></div>
                            <h5>Быстрая раскрутка ваших проектов</h5>
                            <p>Открыли сайт и желаете его раскрутить? У нас вы можете заказать посещения, задания и др.</p>
                        </div><!-- End of single feature inner -->
                    </div><!--/.feature-carousel-->
                </div><!--/.col-->
            </div><!--/.row-->
        </div><!--/.container-->
    </section><!-- End of feature area -->

    <!-- Counter up area -->
    <section class="border-top pt-120 pb-80">
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <!-- single counetr -->
                    <div class="single-counter text-center">
                        <span class="counter"><?=$data['all_users'];?></span> зарегистрировано
                        <p>Пользователей</p>
                    </div><!-- single counetr -->
                </div>
                <div class="col-md-3 col-sm-6">
                    <!-- single counetr -->
                    <div class="single-counter text-center">
                        <span class="counter"><?=$data['all_payments'];?></span> рублей
                        <p>Заработано</p>
                    </div><!-- single counetr -->
                </div>
                <div class="col-md-3 col-sm-6">
                    <!-- single counetr -->
                    <div class="single-counter text-center">
                        <span class="counter"><?=$data['all_views'];?></span> рекламных
                        <p>Просмотров</p>
                    </div><!-- single counetr -->
                </div>
                <div class="col-md-3 col-sm-6">
                    <!-- single counetr -->
                    <div class="single-counter text-center">
                        <span class="counter"><?=intval(((time() - $config->SYSTEM_START_TIME) / 86400 ) +1); ?></span> дней
                        <p>Мя работаем</p>
                    </div><!-- single counetr -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.End of Counter up area -->

    <!--  оставим на потом 
    <section class="bg-2 pt-120 pb-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-sm-7">
                    
                    <div class="user-interact-image">
                        <img src="/assets/img/feature/user-interact.png"  alt="">
                    </div>
                 
                </div>
                <div class="col-lg-5 col-sm-5">
                  
                    <div class="user-interact-inner">
                        <div class="interact-icon">
                            <img src="/assets/img/icons/teamwork.svg" class="svg" alt="">
                        </div>
                        <h2>Interact With Your Users On Every Single Platform</h2>
                        <p>
                            There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form,
                            by injected humour.
                        </p>
                        <a href="#" class="btn">Get Started</a>
                    </div>
                   
                </div>
            </div>
        </div>
    </section>
  
    <section class="pt-120 pb-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-5 col-sm-5">
                   
                    <div class="user-interact-inner">
                        <div class="interact-icon">
                            <img src="/assets/img/icons/solution1.svg" class="svg" alt="">
                        </div>
                        <h2>Interact With Your Users On Every Single Platform</h2>
                        <p>
                            There are many variations of passages of Lorem Ipsum available, but the majority have suffered
                            alteration in some form,
                            by injected humour.
                        </p>
                        <a href="#" class="btn">Get Started</a>
                    </div>
                 
                </div>
                <div class="col-lg-7 col-sm-7">
                 
                    <div class="user-interact-image type2">
                        <img src="/assets/img/feature/user-interact2.png"  alt="">
                    </div>
                   
                </div>
            </div>
        </div>
    </section>
    -->

    <!-- видео -->
    <section class="app-video">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- why bottle video -->
                    <div class="theme-video-wrap">
                        <a href="https://www.youtube.com/watch?v=SZEflIVnhH8" class="video-btn" data-popup="video"><i class="fa fa-play"></i></a>
                    </div>
                    <!-- end of why bottle video -->
                </div>
            </div>
        </div>
    </section>
    <!-- End of why bottol water -->
    
   

    <!-- app pricing plan -->
    <section class="pb-90" id='pricing'>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12 col-lg-8">
                    <!-- section title -->
                    <div class="section-title text-center">
                        <h2><br>Реклама на проекте</h2>
                        <p>Наши цены на продвижение ваших ресурсов сочетают в себе актуальную стоимость и высокое качество услуг.</p>
                    </div>
                    <!-- End of section title -->
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="price-nav-wrap">
                        <!-- price nav -->
                        <div class="price--nav-inner">
                            <nav>
                                <div class="nav info-tabs">
                                    <a class="price--nav-item active" id="nav-contact-tab" data-toggle="tab" href="#month">Просмотры</a>
                                    <a class="price--nav-item" data-toggle="tab" href="#year">Задания</a>
                                </div>
                            </nav>
                        </div>
                        <!-- End of price nav -->
                    </div>
                    <!-- nav tab content -->
                    <div class="tab-content price-content">
                        <div class="tab-pane fade active show" id="month" role="tabpanel">
                            <div class="row">
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan text-center">
                                        <div class="single-price-top">
                                            <h4>Тариф 1</h4>
                                            <span>$20</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                      20 секунд
                                                    </li>
                                            
                                                    <li>
                                                        <span><i class="fa fa-times" aria-hidden="true"></i></span>
                                                        посещение после просмотра
                                                    </li>
                                                </ul>
                                            </div>
                                            <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan active text-center">
                                        <div class="single-price-top">
                                            <h4>Тариф 2</h4>
                                            <span>$30</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                         40 секунд
                                                    </li>
                                                   
                                                    <li>
                                                        <span><i class="fa fa-times" aria-hidden="true"></i></span>
                                                         посещение после просмотра
                                                    </li>
                                                </ul>
                                            </div>
                                            <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan text-center">
                                        <div class="single-price-top">
                                            <h4>Тариф 3</h4>
                                            <span>$40</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                       60 секунд
                                                    </li>
                                  
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                 посещение после просмотра
                                                    </li>
                                                </ul>
                                            </div>
                                            <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="year" role="tabpanel">
                            <div class="row">
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan text-center">
                                        <div class="single-price-top">
                                            <h4>Standard</h4>
                                            <span>$200</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                        10 заданий
                                                    </li>
                                                    
                                                    <li>
                                                        <span><i class="fa fa-times" aria-hidden="true"></i></span>
                                                        VIP обслуживание
                                                    </li>
                                                </ul>
                                            </div>
                                             <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan active text-center">
                                        <div class="single-price-top">
                                            <h4>Business</h4>
                                            <span>$300</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                       20 заданий
                                                    </li>
                                                    
                                                    <li>
                                                        <span><i class="fa fa-times" aria-hidden="true"></i></span>
                                                       Vip обслуживание
                                                    </li>
                                                </ul>
                                            </div>
                                            <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                                <div class="col-md-6 col-lg-4">
                                    <!--Single price plan -->
                                    <div class="single-price-plan text-center">
                                        <div class="single-price-top">
                                            <h4>Professional</h4>
                                            <span>$400</span>
                                        </div>
                                        <div class="single-price-body">
                                            <div class="price-list">
                                                <ul>
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                       30 заданий
                                                    </li>
                                                   
                                                    <li>
                                                        <span><i class="fa fa-check" aria-hidden="true"></i></span>
                                                       Vip обслуживание
                                                    </li>
                                                </ul>
                                            </div>
                                             <a href="#" class="btn">Заказать</a>
                                        </div>
                                    </div>
                                    <!--end of Single price plan -->
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End of nav tab content -->
                </div>
            </div>
        </div>
    </section>
    <!-- End of app pricing plan -->

   

    <!-- start blog area -->
    <section class="border-top pt-115 pb-80" id='blog'>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8 col-md-12">
                    <!-- section title -->
                    <div class="section-title text-center">
                        <h2>Наши новости</h2>
                        <p>Наш проект постоянно совершенствуется, а также проводит конкурсы и акции среди пользователей, поэтому рекомендуем вам быть в курсе событий.</p>
                    </div>
                    <!-- End of section title -->
                </div>
            </div>
            <div class="row">
                <div class="col-lg-4 col-md-4">
                    <!-- single blog inner -->
                    <div class="single-blog-inner">
                        <!-- blog image -->
                        <div class="post-image">
                            <a href="blog-details.html">
                                <img src="/assets/img/blog/blog1.png" alt="">
                            </a>
                            <div class="post-date">
                                <p><span>30</span>Марта</p>
                            </div>
                        </div>
                        <!--/.End of  blog image -->
                
                        <!-- post content -->
                        <div class="post-content">
                            <div class="post-details">
                                

                                <div class="post-title">
                                    <h3><a href="blog-details.html">Pre and Post Launch Mobile App Marketing Pitfalls to Avoid</a></h3>
                                </div>
                                <p>There are many variations of passages of available but majority have alteration in some by inject humour or random
                                words.</p>
                                <a class='blog-btn' href="blog-details.html">Читать полностью</a>
                            </div>
                        </div><!-- /.End of post content -->
                    </div><!-- /.End of single blog inner -->
                </div>

                <div class="col-lg-4 col-md-4">
                    <!-- single blog inner -->
                    <div class="single-blog-inner">
                        <!-- blog image -->
                        <div class="post-image">
                            <a href="blog-details.html">
                                <img src="/assets/img/blog/blog2.png" alt="">
                            </a>
                            <div class="post-date">
                               <p><span>30</span>Марта</p>
                            </div>
                        </div>
                        <!--/.End of  blog image -->
                
                        <!-- post content -->
                        <div class="post-content">
                            <div class="post-details">
                              
                
                                <div class="post-title">
                                    <h3><a href="blog-details.html">Nascetur Etiam tempus sit amet vestibulum quis variations.</a></h3>
                                </div>
                                <p>There are many variations of passages of available but majority have alteration in some by inject
                                    humour or random
                                    words.</p>
                                <a class='blog-btn' href="blog-details.html">Читать полностью</a>
                            </div>
                        </div><!-- /.End of post content -->
                    </div><!-- /.End of single blog inner -->
                </div>

                <div class="col-lg-4 col-md-4">
                    <!-- single blog inner -->
                    <div class="single-blog-inner">
                        <!-- blog image -->
                        <div class="post-image">
                            <a href="blog-details.html">
                                <img src="/assets/img/blog/blog3.png" alt="">
                            </a>
                            <div class="post-date">
                                 <p><span>30</span>Марта</p>
                            </div>
                        </div>
                        <!--/.End of  blog image -->
                
                        <!-- post content -->
                        <div class="post-content">
                            <div class="post-details">
                           
                
                                <div class="post-title">
                                    <h3><a href="blog-details.html">It is a long established fact that and reader will be distracted.</a></h3>
                                </div>
                                <p>There are many variations of passages of available but majority have alteration in some by inject
                                    humour or random
                                    words.</p>
                                <a class='blog-btn' href="blog-details.html">Читать полностью</a>
                            </div>
                        </div><!-- /.End of post content -->
                    </div><!-- /.End of single blog inner -->
                </div>
            </div>
        </div>
    </section>
    <!-- end of blog artea -->

    <!-- download app -->
    <section class="border-top pt-110 pb-150">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-10 col-md-12">
                    <div class="download-app-inner text-center">
                        <h2 class="h1">
                            Хотите начать зарабатывать или<br>
                            запустить рекламу своего проекта?
                        </h2>
                        <h3>В таком случае регистрируйтесь и начинайте плодотворное сотрудничество с kacca.money!</h3>
                        <a href="#" class="btn">Регистрация</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
  