<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = "Аккаунт - Заказ выплаты";
$status_array = array( 0 => "Проверяется", 1 => "Выплачивается", 2 => "Отменена", 3 => "Выплачено");
?>
<div class="content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-8">
                <!-- section title -->
                <div class="section-title text-center account">
                    <h2>{!TITLE!}</h2>
                </div>
                <!-- End of section title -->
            </div>
        </div>
        <div class="row alert bg-light">
            <b>Выплаты осуществляются в автоматическом режиме на платежную систему PAYEER! Процент при выводе составляет 0%</b> 
            Из платежной системы Payeer Вы можете вывести свои средства в автоматическом режиме на все известные платежные системы, на мобильный телефон и международные банки.
        </div>
        <?PHP
        if($user_data['pin'] == 0){
            echo '<div class="alert alert-danger">У Вас не указан платежный пароль! <a href="/account/settings">Указать PIN</a></div>';
        }
        # Заносим выплату
        if(isset($_POST['pay'])){ // проверка: была ли отправлена форма
            if($_POST['pin'] != 0 && $_POST['pin'] == $user_data['pin']){
                $purse = $func->CheckPayeer($_POST['purse']);
                $sum = intval($_POST['sum']);
                $val = 'RUB';
                if($purse !== false){
                    if($sum >= $db_config['min_pay']){
                        if($sum <= $user_data['money_p']){
                            # Проверяем на существующие заявки
                            $db->Query("SELECT COUNT(*) FROM `db_payment` WHERE `user_id` = '$user_id' AND (`status` = '0' OR `status` = '1')");
                            if($db->FetchRow() == 0){	
                                $sum_pay = round( ($sum / $db_config['ser_per_wmr']), 2);
                                if($db_config['pay_mode'] == 'manual'){
                                    # Снимаем с пользователя
                                    $db->Query("UPDATE `db_users_b` SET `money_p` = `money_p` - '$sum' WHERE `id` = '$user_id'");
                                    # Вставляем запись в выплаты
                                    $date_add = time();
                                    $db->Query("INSERT INTO `db_payment` (`user`, `user_id`, `purse`, `sum`, `valuta`, `serebro`, `status`) VALUES ('$user_name','$user_id','$purse', '$sum_pay','RUB','$sum','0')");
                                    echo '<div class="alert alert-success">Завка отправлена!</div>'; 
                                }
                                if($db_config['pay_mode'] == 'auto'){
                                    # Делаем выплату
                                    $payeer = new payeer($config->AccountNumber, $config->apiId, $config->apiKey);
                                    if ($payeer->isAuth()){
                                        $arBalance = $payeer->getBalance();
                                        if($arBalance['auth_error'] == 0){
                                            $balance = $arBalance['balance']['RUB']['DOSTUPNO'];
                                            if( ($balance) >= ($sum_pay)){
                                                $arTransfer = $payeer->transfer(array(
                                                    'curIn' => 'RUB', // счет списания
                                                    'sum' => $sum_pay, // сумма получения
                                                    'curOut' => 'RUB', // валюта получения
                                                    'to' => $purse, // получатель (email)
                                                    'comment' => 'Выплата пользователю '.$user_name.' с проекта '. $config->SITE_NAME
                                                ));
                                                if (!empty($arTransfer['historyId'])){	
                                                    # Снимаем с пользователя
                                                    $db->Query("UPDATE `db_users_b` SET `money_p` = `money_p` - '$sum', `payment_sum` = `payment_sum` + '$sum_pay' WHERE `id` = '$user_id'");
                                                    # Вставляем запись в выплаты
                                                    $da = time();
                                                    $dd = $da + 60*60*24*15;
                                                    $ppid = $arTransfer['historyId'];	
                                                    $db->Query("INSERT INTO `db_payment` (`user`, `user_id`, `purse`, `sum`, `valuta`, `serebro`, `payment_id`, `status`) VALUES ('$user_name','$user_id','$purse','$sum_pay','RUB', '$sum','$ppid', '3')");	
                                                    $db->Query("UPDATE db_stats SET all_payments = all_payments + '$sum_pay' WHERE id = '1'");
                                                    echo '<div class="alert alert-success">Выплачено!</div>';	
                                                }else{
                                                    echo '<div class="alert alert-danger">Внутренняя ошибка - попробуйте через 10-15 секунд или сообщите о ней администратору!</div>';
                                                }
                                            }else echo '<div class="alert alert-danger">Сервер перегружен - попробуйте через 10-15 секунд или сообщите о ней администратору</div>';
                                        }else echo '<div class="alert alert-danger">Не удалось выплатить! Попробуйте позже.</div>';
                                    }else echo '<div class="alert alert-danger">Не удалось выплатить! Попробуйте позже. Ошибка № 631 </div>';
                                }	
                            }else echo '<div class="alert alert-danger">У вас имеются необработанные заявки. Дождитесь их выполнения.</div>';
                        }else echo '<div class="alert alert-danger">Вы указали больше, чем имеется на вашем счету.</div>';
                    }else echo '<div class="alert alert-danger">Минимальная сумма для выплаты составляет '.$db_config['min_pay'].' рублей!</div>';
                }else echo '<div class="alert alert-danger">Номер кошелька указан неверно!</div>';
            }else echo '<div class="alert alert-danger">Платежный пароль указан неверно!</div>';
        }
        ?>
        <style>
        .col-form-label {
        font-size: 110%;
        }
        </style>
        <div class="row">
            <div class="col-md-12 account">
            <div class="card bg-light">
                <div id="str_min" class="card-header">Минимальная сумма выплаты на <b>PAYEER</b> составляет <span id="res_min"><?=$db_config['min_pay']?></span> рублей.</div>
                <form action="" method="post">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-4">
                                <center><br/>
                                    <img style="width: 70%;" src="/assets/images/ps/payeer.png">
                                </center>
                            </div>
                            <div class="col-md-8">
                                <div class="form-group row">
                                    <label class="col-md-6 col-form-label">Введите кошелек Payeer:</label>
                                    <div class="col-md-6"><input class="form-control" type="text" name="purse" size="15" placeholder="Пример: P111234567"/></div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-6 col-form-label">Сумма заказа (<i class="fa fa-ruble"></i>):</label>
                                    <div class="col-md-3">
                                        <input class="form-control" type="text" name="sum" id="sum" value="<?=$user_data['money_p'];?>" size="15" onkeyup="PaymentSum(<?=$db_config['ser_per_wmr'];?>);" />
                                    </div>
                                    <div class="col-md-3">
                                        <div class="input-group" style="margin-top: -5px;">
                                            <input class="form-control bg-light" type="text" id="res_sum" value="0" size="15" disabled="disabled" style="margin-top: 0px;"/>
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    RUB  
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-6 col-form-label">Платежный пароль (PIN-CODE):</label>
                                    <div class="col-md-6">
                                        <input class="form-control" type="text" name="pin" size="15" placeholder="Состоит из 3-х цифр"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer text-center">
                        <button class="btn btn-primary btn-lg text-light" type="submit" name="pay"/>Заказать выплату</button>
                    </div>
                </form>
            </div>
            </div>
        </div>
        <script>
            $(document).ready(function(){
                PaymentSum(<?=$db_config['ser_per_wmr'];?>);
            });
        </script>
        <div class="row justify-content-center">
            <div class="col-md-12 account">
            <div class="card">
                <center class="card-header"><b>Последние 10 выплат</b></center>
                <div class="card-body">
                    <table class="table table-bordered table-striped text-center">
                     <thead>
                            <th>Сумма</th>
                            <th>Кошелек</th>
                            <th>Дата</th>
                            <th>Статус</th>
                    </thead>
                    <tbody>
                    <?PHP
                    $db->Query("SELECT * FROM `db_payment` WHERE `user_id` = '$user_id' ORDER BY `id` DESC LIMIT 10");
                    if($db->NumRows() > 0){
                        while($result = $db->FetchArray()){		
                        ?>
                        <tr>
                            <td style="padding: 5px;"><?=$result['sum']; ?> <?=$result['valuta']; ?></td>
                            <td style="padding: 5px;"><?=$result['purse']; ?></td>
                            <td style="padding: 5px;"><?=$result['date_add']; ?></td>
                            <td style="padding: 5px;"><?=$status_array[$result['status']]; ?></td>
                        </tr>
                        <?PHP
                        }
                    }else{
                        echo '<tr><td style="padding: 5px;" align="center" colspan="5">Нет записей</td></tr>';
                    }
                    ?>
                    </tbody>
                    </table>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>