<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = 'Проверка выполнения';
?>
<div class="content">
    <h3 class="title">{!TITLE!}</h3>
    <div>
        <?PHP
        include('_menu.php');
        ?>
<div class="row">
<?PHP
if(isset($_POST['task_id'])){
    $task_id = filter_var($_POST['task_id'],FILTER_VALIDATE_INT);
    if($task_id === FALSE){
        Header('Location: /account/task/my'); return;
    }
    $db->Query("SELECT COUNT(*) FROM `db_task_progress` WHERE `task_id` = '$task_id' AND `check_string` != '' AND(`status` = 'waiting' OR `status` = 'remake')");
    $waiting = $db->FetchRow();
    if($waiting == 0){
        Header('Location: /account/task/my'); return;
    }
    $db->Query("SELECT * FROM `db_task` WHERE `id` = '$task_id'");
    if($db->NumRows() == 0){
        Header('Location: /account/task/my'); return;
    }
    $result = $db->FetchArray();
    if($result['user_id'] != $user_id){
        Header('Location: /account/task/my'); return;
    }
    $title = $result['title'];
    $description = $result['description'];
    $description_check = $result['description_check'];
    $url = $result['url'];
    $category = $result['category'];
    $cost = $result['cost'];
    $category_array = array();
    $db->Query("SELECT * FROM `db_task_cat`");
    while($result = $db->FetchArray()){
        $category_array[$result['id']] = $result['name'];
    }
    ?>
    <div class="col-sm-12">
        <div class="card bg-light">
            <div class="card-header">
                #<?=$task_id.' '.$title;?>
            </div>
            <div class="card-body">
                <p>Категория <b><?=$category_array[$category];?></b></p>
                <p>Описание <b><?=$description;?></b></p>
                <p>Информация для проверки <b><?=$description_check;?></b></p>
                <p>URL <b><?=$url;?></b></p>
        </div></div>
    </div>
    <div class="col-sm-12">
    <div class="table-responsive">
                <table class="table table-striped table-bordered text-center" width="100%" cellspacing="0">
                    <thead>
                        <th style="padding: 5px;text-align: center;"><b>Логин</b></th>
                        <th style="padding: 5px;text-align: center;"><b>Дата начала выполнения</b></th>
                        <th style="padding: 5px;text-align: center;"><b>Дата окончания выполнения</b></th>
                        <th style="padding: 5px;text-align: center;"><b>Информация для проверки</b></th>
                        <th style="padding: 5px;text-align: center;"><b>Оплата</b></th>
                        <th style="padding: 5px;text-align: center;"><b>Управление</b></th>
                    </thead>
                    <tbody>
    <?PHP
    $db->Query("SELECT * FROM `db_task_progress` WHERE `task_id` = '$task_id' AND `check_string` != '' AND(`status` = 'waiting' OR `status` = 'remake')");
    if($db->NumRows() > 0){
        while($result = $db->FetchArray()){
            $db->Query("SELECT `user` FROM `db_users_a` WHERE `id` = '".$result['user_id']."'",false,false);
            $user = $db->FetchRowLast();
            ?>
                        <tr id="progress_<?=$result['id']?>" align="center" class="ltb">
                            <td style="padding: 5px;"><?=$user; ?></td>
                            <td style="padding: 5px;"><?=$result['date_start']; ?></td>
                            <td style="padding: 5px;"><?=$result['date_end']; ?></td>
                            <td style="padding: 5px;"><?=$result['check_string']; ?></td>
                            <td style="padding: 5px;"><?=$result['cost']; ?></td>
                            <td style="padding: 5px;">
                                <p><button class="btn btn-success check-progress" progress_id="<?=$result['id']?>" action="approved" style="width: 140px;">Подтвердить</button></p>
                                <form id="form-remake-<?=$result['id']?>" action="" method="post" style="display:none;">
                                    <div class="form-group">
                                        <input type="text" class="form-control" name="remake" id="remake" placeholder="Введите замечание">
                                    </div>
                                </form>
                                <p><button class="btn btn-warning check-progress" progress_id="<?=$result['id']?>" action="remake" style="width: 140px;" id="btn-remake-<?=$result['id']?>">На переделку</button></p>
                                <p><button class="btn btn-danger check-progress" progress_id="<?=$result['id']?>" action="rejected" style="width: 140px;">Отклонить</button></p>
                            </td>
                        </tr>
    <?PHP
        }
    }else{
        echo '<tr><td align="center" colspan="5">Пользователей нет</td></tr>';
    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?PHP
}else{
    Header('Location: /account/task/my'); return;
}
?>
</div></div></div>