<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Выполнение задания';
if(!empty($_POST['task_id'])){
    $task_id = filter_var($_POST['task_id'],FILTER_VALIDATE_INT);
    if($task_id === FALSE){
        Header('Location: /account/task'); return;
    }
    $db->Query("SELECT * FROM `db_task` WHERE `id` = '$task_id' LIMIT 1");
    if($db->NumRows() == 0){
        Header('Location: /account/task'); return;
    }
    $result = $db->FetchArray();
    if($result['user_id'] == $user_id){
        Header('Location: /account/task'); return;
    }
    $db->Query("SELECT * FROM `db_task_progress` WHERE `task_id` = '$task_id' AND `user_id` = '$user_id'");
    if($db->NumRows() > 0){
        $progress = $db->FetchArray();
        if($progress['status'] == 'approved' || $progress['status'] == 'rejected'){
            Header('Location: /account/task'); return;
        }
    }elseif($result['moderation'] !== 'approved' || $result['number'] == 0 || $result['status'] == 'deactive'){
        Header('Location: /account/task'); return;
    }
    $db->Query("SELECT `name` FROM db_task_cat WHERE `id` = '".$result['category']."'");
    $category = $db->FetchRow();
    $db->Query("SELECT `user` FROM `db_users_a` WHERE `id` = '".$result['user_id']."'");
    $owner = $db->FetchRow();
    ?>
<div class="content">
    <h3 class="title">{!TITLE!}</h3>
    <div>
        <?PHP
        include('_menu.php');
        ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header">
                Задание <?=$result['id'];?> / <?=$result['title'];?>
            </div>
            <div class="card-body">
                <h4>Категория:<span class="pull-right"><?=$category; ?></span></h4>
                <h4>Текст задания:</h4>
                <small><?=$result['description']; ?></small>
                <h4>Что нужно указать для проверки:</h4>
                <small><?=$result['description_check']; ?></small>
                <h4>Стоимость выполнения:<span class="pull-right"><?=$result['cost'];?> <i class="fa fa-rub"></i></span></h4>
                <h4>Владелец задания:<span class="pull-right"><?=$owner;?></span></h4>
    <?PHP
    $db->Query("SELECT * FROM `db_task_progress` WHERE `task_id` = '$task_id' AND `user_id` = '$user_id' AND (`status` = 'waiting' OR `status` = 'remake')");
    if($db->NumRows() == 1){
        $result = $db->FetchArray();
        if($result['status'] == 'remake'){
            echo '<font color="red" size="3">Причина доработки: <b>'.$result['remake'].'</b></font>';
        }
        if($result['check_string'] == '' || $result['status'] == 'remake'){?>
        <form id="send_check" action="" method="post">
            <div class="form-group">
                <label for="check_string">Текст для ответа:</label>
                <input type="text" class="form-control" name="check_string" id="check_string">
            </div>
            <div class="form-group">
                <input type="hidden" name="task_id" value="<?=$task_id;?>">
                <input type="hidden" name="type" value="send_check" id="type">
                <button class="btn btn-success">Отправить на проверку</button>
            </div>
        </form>
        <?PHP 
        }else{?>
            <div class="form-group">
            <label for="check_string">Текст для ответа:</label>
            <input type="text" class="form-control" name="check_string" id="check_string" value="<?=$result['check_string'];?>" disabled>
            </div>
        <?PHP
        }
    }else{
    ?>
    <center>
        <button class="btn btn-success run_task" task_id="<?=$task_id;?>">Начать выполнение</button>
    </center>
    <br>
    <?PHP } ?>
    </div>
    </div>
    </div></div></div></div>
<?PHP
}else{
    Header('Location: /account/task'); return;
}