<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Настройки проекта';
$pay_mode_array = array('auto','manual');
?>
<!-- Start right Content here -->
<div class="content">
<h3 class="title">{!TITLE!}</h3>
<div>
    <div class="row">
<?PHP
# Обновление
if(isset($_POST['save']) && !empty($_POST['pass'])){
    $pass = $func->IsPassword($_POST['pass']);
    $min_pay = intval($_POST['min_pay']);
    $ser_per_wmr = intval($_POST['ser_per_wmr']);
    $percent_swap = intval($_POST['percent_swap']);
    $to_referer = intval($_POST['to_referer']);
    $to_referer_insert = intval($_POST['to_referer_insert']);
    $bonus_first_insert = intval($_POST['bonus_first_insert']);
    $to_user_profit = intval($_POST['to_user_profit']);
    $pay_mode = $_POST['pay_mode'];
    
    # Проверка на ошибки
    $errors = true;
    if($pass != $db_config['pass']){
        $errors = false; echo '<center><div class="alert alert-danger">Пароль администратора указан неверно</div></center>';
    }
    if($min_pay/$ser_per_wmr < 1){
        $errors = false; echo '<center><div class="alert alert-danger">Минимальная сумма выплаты 100 серебра, т.е. 1 руб - ограничение Payeer</div></center>';
    }
    if($ser_per_wmr < 1){
        $errors = false; echo '<center><div class="alert alert-danger">Стоимость рубля не может быть меньше 1</div></center>'; 
    }
    if($percent_swap < 0 OR $percent_swap > 100){
        $errors = false; echo '<center><div class="alert alert-danger">Прибавляемый процент при обмене должен быть от 0 до 100</div></center>'; 
    }
    if($to_referer < 0 OR $to_referer > 100){
        $errors = false; echo '<center><div class="alert alert-danger">Реферальный процент с дохода должен быть от 0 до 100</div></center>'; 
    }
    if($to_referer_insert < 0 OR $to_referer_insert > 100){
        $errors = false; echo '<center><div class="alert alert-danger">Реферальный процент при пополнении должен быть от 0 до 100</div></center>'; 
    }
    if($bonus_first_insert < 0 or $bonus_first_insert > 100){
        $errors = false; echo '<center><div class="alert alert-danger">Бонус при первом пополнении должен быть от 0% до 100%</div></center>'; 
    }
    if($to_user_profit < 0 or $to_user_profit > 100){
        $errors = false; echo '<center><div class="alert alert-danger">Прибыль с клика должна быть от 0% до 100%</div></center>'; 
    }
    if(!in_array($pay_mode, $pay_mode_array,TRUE)){
        $errors = false; echo '<center><div class="alert alert-danger">Ошибка в настройках режима выплаты!</div></center>'; 
    }
    # Обновление
    if($errors){
        $db->Query("UPDATE `db_config` SET 
        `pass` = '$pass',
        `min_pay` = '$min_pay',
        `ser_per_wmr` = '$ser_per_wmr',
        `percent_swap` = '$percent_swap',
        `to_referer` = '$to_referer',
        `to_referer_insert` = '$to_referer_insert',
        `bonus_first_insert` = '$bonus_first_insert',
        `to_user_profit` = '$to_user_profit',
        `pay_mode` = '$pay_mode'
        WHERE `id` = '1'");
        echo '<div class="alert alert-success"><b>Сохранено</b></div>';
    }
	$db->Query("SELECT * FROM db_config WHERE id = '1'");
        $db_config = $db->FetchArray();
}
?>
        </div>
    <div class="row">
<form action="" method="post">
<table width="100%" class="table">
  <tr>
    <td bgcolor="#EFEFEF"><b>Пароль администратора:</b></td>
	<td width="150" align="center"><input type="text" name="pass" value="" /></td>
  </tr>
  
  <tr>
    <td><b>Стоимость 1 RUB (Монетами):</b></td>
	<td width="150" align="center"><input type="text" name="ser_per_wmr" value="<?=$db_config['ser_per_wmr']; ?>" /></td>
  </tr>
  
  <tr>
    <td><b>Бонус при первом пополнении в %:</b></td>
	<td width="150" align="center"><input type="text" name="bonus_first_insert" value="<?=$db_config['bonus_first_insert']; ?>" /></td>
  </tr>
  
  <tr>
    <td><b>Минимальная сумма выплаты монетами:</b></td>
	<td width="150" align="center"><input type="text" name="min_pay" value="<?=$db_config['min_pay']; ?>" /></td>
  </tr>
  
  <tr bgcolor="#EFEFEF">
    <td><b>Прибавлять % при обмене (От 0 до 99):</b></td>
	<td width="150" align="center"><input type="text" name="percent_swap" value="<?=$db_config['percent_swap']; ?>" /></td>
  </tr>
  <tr>
    <td><b>% рефереру с заработка (от 0 до 99):</b><BR /></td>
	<td width="150" align="center"><input type="text" name="to_referer" value="<?=$db_config['to_referer']; ?>" /></td>
  </tr>
  <tr>
    <td><b>% рефереру с пополнений (от 0 до 99):</b><BR /></td>
	<td width="150" align="center"><input type="text" name="to_referer_insert" value="<?=$db_config['to_referer_insert']; ?>" /></td>
  </tr>
  <tr>
    <td><b>% при первом пополнении (от 0 до 99):</b><BR /></td>
	<td width="150" align="center"><input type="text" name="bonus_first_insert" value="<?=$db_config['bonus_first_insert']; ?>" /></td>
  </tr>
  <tr>
    <td><b>% пользователю от стоимости клика (от 0 до 100):</b><BR /></td>
	<td width="150" align="center"><input type="text" name="to_user_profit" value="<?=$db_config['to_user_profit']; ?>" /></td>
  </tr>
  <tr>
    <td><b>Режим выплат:</b><BR /></td>
	<td width="150" align="center">
            <select name="pay_mode">
                <option value="auto" <?=$db_config['pay_mode'] == 'auto'?'selected':'';?>>Автоматические</option>
                <option value="manual" <?=$db_config['pay_mode'] == 'manual'?'selected':'';?>>Ручные</option>
            </select>
        </td>
  </tr>
  <tr>
      <td colspan="2" align="center">
          <input class="btn btn-success" name="save" type="submit" value="Применить настройки" />
      </td>
  </tr>
</table>
</form> 
                                            
</div>
</div>
</div>