<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Настройки тарифов';
$in_array = array(0,1);
?>
<div class="content">
<h3 class="title">{!TITLE!}</h3>
<div>
<div class="alert bg-light">
Настройка тарифных планов 
</div> 
                <div class="row">
                    <div class="col-lg-4 col-lg-12">
                        <div class="panel panel-default racerespan1">
                          <div class="panel-body text-center">
                            <button type="button" class="btn waves-effect btn-default" onclick="location.href='/admin/tarif-config/edit';"> <i class="mdi mdi-bullhorn"></i> Добавить</button>
                          </div>
                        </div>
                      </div> 
                </div>
                <div class="row justify-content-center">
                    <div class="col-md-12">
    <?PHP
    if(isset($_POST['status']) && !empty($_POST['id'])){
        $errors = array();
        $id = $_POST['id'];
        $status = $_POST['status'];
        if(!$func->ValidateInt($id)){
            $errors[] = 'Ошибка идентификатора';
        }
        if($func->ValidateInt($status) === FALSE || !in_array($status, $in_array)){
            $errors[] = 'Ошибка значения статуса';
        }
        if(empty($errors)){
            $db->Query("UPDATE `db_tarif` SET `status` = '$status' WHERE `id` = '$id'");
        }else{
            foreach($errors as $error){
                echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
            }
        }
    }
    if(isset($_POST['delete']) && !empty($_POST['id'])){
        $errors = array();
        $id = $_POST['id'];
        if(!$func->ValidateInt($id)){
            $errors[] = 'Ошибка идентификатора';
        }
        if(empty($errors)){
            $db->Query("DELETE FROM `db_tarif` WHERE `id` = '$id'");
            $db->Query("SELECT `id` FROM `db_tarif_buy` WHERE `tarif` = '$id'");
            if($db->NumRows() > 0){
                while($delete = $db->FetchArray()){
                    $db->query("DELETE FROM `db_tarif_buy` WHERE `tarif` = '".$delete['id']."'");
                    $db->query("DELETE FROM `db_tarif_profit` WHERE `tarif` = '".$delete['id']."'");
                }
            }
            echo '<div class="alert alert-success">Удален!</div>';
        }else{
            foreach($errors as $error){
                echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
            }
        }
    }
    ?>
                    </div>
                </div>
    <div class="row justify-content-center">
    <?PHP                  
    if(isset($_GET['edit'])){
        $form_active = FALSE;
        if(!empty($_POST['name']) && !empty($_POST['profit']) && !empty($_POST['views']) && !empty($_POST['duration']) && !empty($_POST['cost'])){
            $errors = array();
            $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
            $profit = $_POST['profit'];
            $views = $_POST['views'];
            $duration = $_POST['duration'];
            $cost = $_POST['cost'];
            if($func->ValidateFloat($profit) === FALSE){
                $errors[] = 'Ошибка со значением прибыли.';
            }
            if($func->ValidateFloat($cost) === FALSE){
                $errors[] = 'Ошибка со значением стоимости.';
            }
            if($func->ValidateInt($views) === FALSE){
                $errors[] = 'Ошибка со значением количества просмотров.';
            }
            if($func->ValidateInt($duration) === FALSE){
                $errors[] = 'Ошибка со значением продолжительности.';
            }
            if(isset($_POST['id']) && !filter_var($_POST['id'], FILTER_VALIDATE_INT)){
                $errors[] = 'Ошибка идентификатором тарифа';
            }
            if(empty($errors)){
                if(isset($_POST['id'])){
                    $id = $_POST['id'];
                    $db->Query("UPDATE `db_tarif` SET 
                        `name` = '$name',
                        `profit` = '$profit',
                        `views` = '$views',
                        `duration` = '$duration',
                        `cost` = '$cost'
                        WHERE `id` = '$id'");
                    echo '<center><div class="alert alert-success">Тарифный план №'.$id.' '.$name.' успешно сохранен</div></center>';
                    Header('Location: /admin/tarif-config');
                }else{
                    $db->Query("INSERT INTO `db_tarif` (`name`,`profit`,`views`,`duration`,`cost`) VALUES ('$name','$profit','$views','$duration','$cost')");
                    echo '<center><div class="alert alert-success">Тарифный план '.$name.' успешно создан</div></center>';
                    Header('Location: /admin/tarif-config');
                }
            }else{
                $form_active = TRUE;
            }
        }else{
            $form_active = TRUE;
        }
        if($form_active === TRUE){
            if(!empty($errors)){
                foreach($errors as $error){
                    echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
                }
            }
            if(isset($_POST['id'])){
                $tarif_id = $_POST['id'];
                $db->Query("SELECT * FROM `db_tarif` WHERE `id` = '$tarif_id'");
                $result = $db->FetchArray();
                $id = '<input type="hidden" name="id" value="'.$result['id'].'">';
                $name_block = 'Редактирование плана №'.$result['id'];
                $name = $result['name'];
                $profit = $result['profit'];
                $views = $result['views'];
                $duration = $result['duration'];
                $cost = $result['cost'];
            }else{
                $id = '';
                $name_block = 'Добавление нового плана';
                $name = !empty($_POST['name'])?$_POST['name']:'';
                $profit = !empty($_POST['profit'])?$_POST['profit']:'';
                $views = !empty($_POST['views'])?$_POST['views']:'';
                $duration = !empty($_POST['duration'])?$_POST['duration']:'';
                $cost = !empty($_POST['cost'])?$_POST['cost']:'';
            }
            echo '<form active="" method="post">';
            echo '<div class="col-md-12">';
            echo '<div class="card bg-light">';
            echo $id;
            echo '<div class="card-header"><i class="fa fa-car text-primary m-r-15"></i>'.$name_block.'</div>';
            echo '<div class="bg-light">';
            echo '<table class="table table-bordered mb-0">';
            echo '<tr><th>Название</th><td><input type="text" name="name" value="'.$name.'"></td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-eye"></i></span> Просмотров</th><td><input type="text" size="4" name="views" value="'.$views.'">/день</td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-usd"></i></span> Заработок</th><td><input type="text" size="4" name="profit" value="'.$profit.'"> рублей/день</td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-clock-o"></i></span> Срок действия</th><td><input type="text" size="4" name="duration" value="'.$duration.'"> дней</td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-clock-o"></i></span> Стоимость</th><td><input type="text" name="cost" value="'.$cost.'"> руб.</td></tr>';
            echo '</table>';
            echo '</div>';
            echo '<button class="btn btn-success btn-lg" name="edit">Сохранить</button>';
            echo '</div>';
            echo '</div>';
            echo '</form>';
        }
        echo '</div></div></div>';
        return;
    }
    ?>
    </div>
    <div class="row justify-content-center">
    <?PHP
    $db->Query("SELECT *,(SELECT COUNT(*) FROM `db_tarif_buy` WHERE `tarif` = `db_tarif`.`id` AND `status` = '1') `count` FROM `db_tarif`");
    if($db->NumRows() > 0){
        while($result = $db->FetchArray()){
            echo '<div class="col-md-4">';
            echo '<div id="id'.$result['id'].'" class="card bg-light">';
            echo '<div class="card-header"><i class="fa fa-car text-primary m-r-15"></i> Тариф - "'.$result['name'].'"</div>';
            echo '<div class="bg-light">';
            echo '<table class="table table-bordered mb-0">';
            echo '<tr><th><span class="text-danger"><i class="fa fa-eye"></i></span> Просмотров</th><td>'.$result['views'].'/день</td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-usd"></i></span> Заработок</th><td>'.round($result['profit'],2).' рублей/день</td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-clock-o"></i></span> Срок действия</th><td>'.$result['duration'].' дней</td></tr>';
            echo '</table>';
            echo '</div>';
            echo '<div class="card-footer text-light bg-primary">Стоимость <font id="cost'.$result['id'].'">'.number_format($result['cost'],2,'.','').'</font> руб</div>';
            echo '<form action="/admin/tarif-config/edit" method="POST" id="form-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'"></form>';
            echo '<button class="btn btn-warning btn-lg" name="edit" onclick="document.getElementById(\'form-'.$result['id'].'\').submit();">Редактировать</button>';
            if($result['count'] == 0){
                echo '<form action="" method="POST" id="formdelete-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'"><input type="hidden" name="delete"></form>';
                echo '<button class="btn btn-warning btn-lg" name="edit" onclick="document.getElementById(\'formdelete-'.$result['id'].'\').submit();">Удалить</button>';
            }
            echo '<form action="" method="POST" id="formstatus-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'">';
            if($result['status'] == 0){
                echo '<input type="hidden" name="status" value="1">';
                $button_text = 'Активировать';
                $button_class = 'success';
            }
            if($result['status'] == 1){
                echo '<input type="hidden" name="status" value="0">';
                $button_text = 'Деактивировать';
                $button_class = 'danger';
            }
            echo '</form>';
            echo '<button class="btn btn-'.$button_class.' btn-lg" name="edit" onclick="document.getElementById(\'formstatus-'.$result['id'].'\').submit();">'.$button_text.'</button>';
            echo '</div>';
            echo '</div>';
        }
    }else{
        echo '<div class="alert alert-danger">Нет доступных планов!</div>';
    }
    ?>
</div></div></div>