<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = "Задания";
$user_id = $_SESSION["user_id"];
?>
<br>
<div class="container">
<div class="row">
    <div class="col-sm-12">
        <div class="table-responsive">
            <table class="table table-striped table-bordered text-center" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Категория / Краткое описание</th>
                        <th scope="col">Стоимость (сер)</th>
                        <th scope="col">Действие</th>
                        <th scope="col">Статистика</th>
                    </tr>
                </thead>
                <tbody>
<?php
$category = array();
$db->Query("SELECT * FROM `db_task_cat`");
while($result = $db->FetchArray()){
    $category[$result['id']] = $result['name'];
}
$db->Query("SELECT * FROM `db_task` ORDER BY `id` DESC");
if($db->NumRows() == 0){
    echo '<tr><td colspan="6">Заданий нет.</td></tr>';
}else{
    while($task = $db->FetchArray()) {
        $waiting = 0;
        $db->Query("SELECT COUNT(*) FROM `db_task_progress` WHERE `task_id` = '".$task['id']."' AND `check_string` != '' AND (`status` = 'waiting' OR `status` = 'remake')",false,false);
        $waiting = $db->FetchRowLast();
        $in_progress = 0;
        $db->Query("SELECT COUNT(*) FROM `db_task_progress` WHERE `task_id` = '".$task['id']."' AND (`status` = 'waiting' OR `status` = 'remake')",false,false);
        $in_progress = $db->FetchRowLast();
?>
    <tr id="task_<?=$task['id']; ?>">
        <th scope="row"><?=$task['id']; ?></th>
        <th scope="row"><?=$category[$task['category']]; ?> / <br>
        <b><?=$task['title']; ?></b></th>
        <th scope="row"><?=$task['cost']; ?></th>
        <th scope="row"><b>Осталось: <font id="number_count"><?=$task['number']; ?></font> шт.<br>
        </th>
        <th scope="row">
            <?PHP
            if($waiting > 0){?>
            На проверке <?=$waiting;?>
            <?PHP
            }elseif($in_progress == 0){?>
                <form action="/account/task/edit" method="POST">
                    <input type="hidden" name="task_id" value="<?=$task['id']; ?>">
                    <button class="btn btn-warning"><i class="fa fa-edit"></i></button>
                </form>
            <?PHP
                echo '<button class="btn btn-danger delete_task" style="140px" href="#" task_id="'.$task['id'].'"><i class="fa fa-times"></i></button>';
            }else{
                echo 'Проверять нечего.<br>В процессе выполнения '.$in_progress;
            }
            if($task['status'] == 'active'){
                echo '<button class="btn btn-warning status_task" style="140px" href="#" action="deactive" task_id="'.$task['id'].'"><i class="fa fa-pause"></i></button>';
            }else{
                echo '<button class="btn btn-success status_task" style="140px" href="#" action="active" task_id="'.$task['id'].'"><i class="fa fa-play"></i></button>';
            }
            ?>
        </th>
	<th scope="row">
            <h4>
                <span title="Выполнено" class="badge badge-success"><?=$task['done']; ?></span>/<span title="Отклонено" class="badge badge-danger"><?=$task['canceled']; ?></span>/<span title="На проверке" class="badge badge-secondary"><?=$waiting;?></span>
            </h4>
        </th>
</tr>
<?PHP
    }
}
?>
</tbody>
            </table>
        </div>	
    </div>		
</div>
    </div>