<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Настройки серфинга';
$boolean = array(0 => '<div class="text-danger">НЕТ</div>',1 => '<div class="text-primary">ДА</div>');
$in_array = array(0,1);
?>
<div class="content">
<h3 class="title">{!TITLE!}</h3>
<div>
<div class="alert bg-light">
Настройка тарифных планов для серфинга
</div> 
                <div class="row">
                    <div class="col-lg-4 col-lg-12">
                        <div class="panel panel-default racerespan1">
                          <div class="panel-body text-center">
                            <button type="button" class="btn waves-effect btn-default" onclick="location.href='/admin/serfing/config/edit';"> <i class="mdi mdi-bullhorn"></i> Добавить</button>
                          </div>
                        </div>
                      </div> 
                </div>
                <div class="row justify-content-center">
                    <div class="col-md-12">
    <?PHP
    if(isset($_POST['status']) && !empty($_POST['id'])){
        $errors = array();
        $id = $_POST['id'];
        $status = $_POST['status'];
        if(!$func->ValidateInt($id)){
            $errors[] = 'Ошибка идентификатора';
        }
        if($func->ValidateInt($status) === FALSE || !in_array($status, $in_array)){
            $errors[] = 'Ошибка значения статуса';
        }
        if(empty($errors)){
            $db->Query("UPDATE `db_serfing_plans` SET `status` = '$status' WHERE `id` = '$id'");
        }else{
            foreach($errors as $error){
                echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
            }
        }
    }
    if(isset($_POST['delete']) && !empty($_POST['id'])){
        $errors = array();
        $id = $_POST['id'];
        if(!$func->ValidateInt($id)){
            $errors[] = 'Ошибка идентификатора';
        }
        if(empty($errors)){
            $db->Query("DELETE FROM `db_serfing_plans` WHERE `id` = '$id'");
            $db->Query("SELECT `id` FROM `db_serfing` WHERE `tarif` = '$id'");
            if($db->NumRows() > 0){
                while($delete = $db->FetchArray()){
                    $db->query("DELETE FROM `db_serfing_view` WHERE `ident` = '".$delete['id']."'");
                    $db->Query("DELETE FROM `db_serfing` WHERE `tarif` = '$id'");
                }
            }
            echo '<div class="alert alert-success">Удален!</div>';
        }else{
            foreach($errors as $error){
                echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
            }
        }
    }
    ?>
                    </div>
                </div>
    <div class="row justify-content-center">
    <?PHP                  
    if(isset($_GET['edit'])){
        $form_active = FALSE;
        if(!empty($_POST['name']) && !empty($_POST['time']) && !empty($_POST['cost_1000'])){
            $errors = array();
            $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
            $go_site = $_POST['go_site'];
            $active_window = $_POST['active_window'];
            $protect = $_POST['protect'];
            $time = $_POST['time'];
            $highlight = $_POST['highlight'];
            $cost_1000 = $_POST['cost_1000'];
            if($func->ValidateInt($go_site) === FALSE || !in_array($go_site, $in_array)){
                $errors[] = 'Ошибка со значением перехода на сайт. Только 0 или 1';
            }
            if($func->ValidateInt($active_window) === FALSE || !in_array($active_window, $in_array)){
                $errors[] = 'Ошибка со значением активного окна. Только 0 или 1';
            }
            if($func->ValidateInt($protect) === FALSE || !in_array($protect, $in_array)){
                $errors[] = 'Ошибка со значением защиты от автокликкеров. Только 0 или 1';
            }
            if($func->ValidateInt($time) === FALSE){
                $errors[] = 'Ошибка со значением времени. Только целые числа';
            }
            if($func->ValidateInt($highlight) === FALSE || !in_array($highlight, $in_array)){
                $errors[] = 'Ошибка со значением выделения. Только 0 и 1';
            }
            if(!filter_var($cost_1000, FILTER_VALIDATE_FLOAT)){
                $errors[] = 'Ошибка со значением зстоимости. Только цифры';
            }
            if(isset($_POST['id']) && !filter_var($_POST['id'], FILTER_VALIDATE_INT)){
                $errors[] = 'Ошибка идентификатором тарифа';
            }
            if(empty($errors)){
                if(isset($_POST['id'])){
                    $id = $_POST['id'];
                    $db->Query("UPDATE `db_serfing_plans` SET 
                        `name` = '$name',
                        `go_site` = '$go_site',
                        `active_window` = '$active_window',
                        `protect` = '$protect',
                        `time` = '$time',
                        `highlight` = '$highlight',
                        `cost_1000` = '$cost_1000'
                        WHERE `id` = '$id'");
                    echo '<center><div class="alert alert-success">Тарифный план №'.$id.' '.$name.' успешно сохранен</div></center>';
                    Header('Location: /admin/serfing/config');
                }else{
                    $db->Query("INSERT INTO `db_serfing_plans` (`name`,`go_site`,`active_window`,`protect`,`time`,`highlight`,`cost_1000`) VALUES ('$name','$go_site','$active_window','$protect','$time','$highlight','$cost_1000')");
                    echo '<center><div class="alert alert-success">Тарифный план '.$name.' успешно создан</div></center>';
                    Header('Location: /admin/serfing/config');
                }
            }else{
                $form_active = TRUE;
            }
        }else{
            $form_active = TRUE;
        }
        if($form_active === TRUE){
            if(!empty($errors)){
                foreach($errors as $error){
                    echo '<center><div class="alert alert-danger">Ошибка! '.$error.'</div></center>';
                }
            }
            if(isset($_POST['id'])){
                $id = $_POST['id'];
                $db->Query("SELECT * FROM `db_serfing_plans` WHERE `id` = '$id'");
                $result = $db->FetchArray();
                $go_site1 = $result['go_site']==0?'selected':'';
                $go_site2 = $result['go_site']==1?'selected':'';
                $active_window1 = $result['active_window']==0?'selected':'';
                $active_window2 = $result['active_window']==1?'selected':'';
                $protect1 = $result['protect']==0?'selected':'';
                $protect2 = $result['protect']==1?'selected':'';
                $highlight1 = $result['highlight']==0?'selected':'';
                $highlight2 = $result['highlight']==1?'selected':'';
                $id = '<input type="hidden" name="id" value="'.$result['id'].'">';
                $name_block = 'Редактирование плана №'.$result['id'];
                $name = $result['name'];
                $time = $result['time'];
                $cost_1000 = $result['cost_1000'];
            }else{
                $go_site1 = isset($_POST['go_site'])&&$_POST['go_site']==0?'selected':'';
                $go_site2 = isset($_POST['go_site'])&&$_POST['go_site']==1?'selected':'';
                $active_window1 = isset($_POST['active_window'])&&$_POST['active_window']==0?'selected':'';
                $active_window2 = isset($_POST['active_window'])&&$_POST['active_window']==1?'selected':'';
                $protect1 = isset($_POST['protect'])&&$_POST['protect']==0?'selected':'';
                $protect2 = isset($_POST['protect'])&&$_POST['protect']==1?'selected':'';
                $highlight1 = isset($_POST['highlight'])&&$_POST['highlight']==0?'selected':'';
                $highlight2 = isset($_POST['highlight'])&&$_POST['highlight']==1?'selected':'';
                $id = '';
                $name_block = 'Добавление нового плана';
                $name = !empty($_POST['name'])?$_POST['name']:'';
                $time = !empty($_POST['time'])?$_POST['time']:'';
                $cost_1000 = !empty($_POST['cost_1000'])?$_POST['cost_1000']:'';
            }
            echo '<form active="" method="post">';
            echo '<div class="col-md-12">';
            echo '<div class="card bg-light">';
            echo $id;
            echo '<div class="card-header"><i class="fa fa-car text-primary m-r-15"></i>'.$name_block.'</div>';
            echo '<div class="bg-light">';
            echo '<table class="table table-bordered mb-0">';
            echo '<tr><th>Название</th><td><input type="text" name="name" value="'.$name.'"></td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-clock-o"></i></span> Таймер</th><td><input type="text" size="4" name="time" value="'.$time.'"> сек.</td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-shield"></i></span> Антикликкер <font color="red">Test Mode</font></th><td><select name="protect"><option value="0" '.$protect1.'>Нет</option><option value="1" '.$protect2.'>Да</option></select></td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-arrow-right"></i></span> Переход</th><td><select name="go_site"><option value="0" '.$go_site1.'>Нет</option><option value="1" '.$go_site2.'>Да</option></select></td></tr>';
            echo '<tr><th><span class="text-warning"><i class="fa fa-paint-brush"></i></span> Выделение в списке</th><td><select name="highlight"><option value="0" '.$highlight1.'>Нет</option><option value="1" '.$highlight2.'>Да</option></select></td></tr>';
            echo '<tr><th><span class="text-info"><i class="fa fa-tv"></i></span> Активное окно</th><td><select name="active_window"><option value="0" '.$active_window1.'>Нет</option><option value="1" '.$active_window2.'>Да</option></select></td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-clock-o"></i></span> Цена за 1000 просмотров</th><td><input type="text" name="cost_1000" value="'.$cost_1000.'"> руб.</td></tr>';
            echo '</table>';
            echo '</div>';
            echo '<button class="btn btn-success btn-lg" name="edit">Сохранить</button>';
            echo '</div>';
            echo '</div>';
            echo '</form>';
        }
        echo '</div></div></div>';
        return;
    }
    ?>
    </div>
    <div class="row">
    <?PHP
    $db->Query("SELECT *,(SELECT COUNT(*) FROM `db_serfing` WHERE `tarif` = `db_serfing_plans`.`id` AND `status` = '2') `count` FROM `db_serfing_plans`");
    if($db->NumRows() > 0){
        while($result = $db->FetchArray()){
            echo '<div class="col-md-4">';
            echo '<div id="id'.$result['id'].'" class="card bg-light">';
            echo '<div class="card-header"><i class="fa fa-car text-primary m-r-15"></i> Тариф - "'.$result['name'].'"</div>';
            echo '<div class="bg-light">';
            echo '<table class="table table-bordered mb-0">';
            echo '<tr><th><span class="text-danger"><i class="fa fa-clock-o"></i></span> Таймер</th><td>'.$result['time'].' сек.</td></tr>';
            echo '<tr><th><span class="text-danger"><i class="fa fa-shield"></i></span> Антикликкер <font color="red">Test Mode</font></th><td>'.$boolean[$result['protect']].'</td></tr>';
            echo '<tr><th><span class="text-success"><i class="fa fa-arrow-right"></i></span> Переход</th><td>'.$boolean[$result['go_site']].'</td></tr>';
            echo '<tr><th><span class="text-warning"><i class="fa fa-paint-brush"></i></span> Выделение в списке</th><td>'.$boolean[$result['highlight']].'</td></tr>';
            echo '<tr><th><span class="text-info"><i class="fa fa-tv"></i></span> Активное окно</th><td>'.$boolean[$result['active_window']].'</td></tr>';
            echo '</table>';
            echo '</div>';
            echo '<div class="card-footer text-light bg-primary">Цена за 1000 просмотров <font id="cost'.$result['id'].'">'.number_format($result['cost_1000'],2,'.','').'</font> руб</div>';
            echo '<form action="/admin/serfing/config/edit" method="POST" id="form-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'"></form>';
            echo '<button class="btn btn-warning btn-lg" name="edit" onclick="document.getElementById(\'form-'.$result['id'].'\').submit();">Редактировать</button>';
            if($result['count'] == 0){
                echo '<form action="" method="POST" id="formdelete-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'"><input type="hidden" name="delete"></form>';
                echo '<button class="btn btn-warning btn-lg" name="edit" onclick="document.getElementById(\'formdelete-'.$result['id'].'\').submit();">Удалить</button>';
            }
            echo '<form action="" method="POST" id="formstatus-'.$result['id'].'"><input type="hidden" name="id" value="'.$result['id'].'">';
            if($result['status'] == 0){
                echo '<input type="hidden" name="status" value="1">';
                $button_text = 'Активировать';
                $button_class = 'success';
            }
            if($result['status'] == 1){
                echo '<input type="hidden" name="status" value="0">';
                $button_text = 'Деактивировать';
                $button_class = 'danger';
            }
            echo '</form>';
            echo '<button class="btn btn-'.$button_class.' btn-lg" name="edit" onclick="document.getElementById(\'formstatus-'.$result['id'].'\').submit();">'.$button_text.'</button>';
            echo '</div>';
            echo '</div>';
        }
    }else{
        echo '<div class="alert alert-danger">Нет доступных планов!</div>';
    }
    ?>
</div></div></div>