<?php
if(isset($_POST['edit'])){
    $task_id = filter_var($_POST['task_id'],FILTER_VALIDATE_INT);
    $title = filter_var($_POST['title'],FILTER_SANITIZE_STRING);
    $description = filter_var($_POST['description'],FILTER_SANITIZE_STRING);
    $description_check = filter_var($_POST['description_check'],FILTER_SANITIZE_STRING);
    $url = filter_var($_POST['url'],FILTER_VALIDATE_URL);
    $category = filter_var($_POST['category'],FILTER_VALIDATE_INT);
    $cost = filter_var($_POST['cost'],FILTER_VALIDATE_FLOAT);
    if($task_id === FALSE && empty($data)){
        $data['error'] = 'Неверные данные!';
        $data['id'] = 'task_id';
    }
    if($title === FALSE && empty($data)){
        $data['error'] = 'Неверно указано название!';
        $data['id'] = 'title';
    }
    if($description === FALSE && empty($data)){
        $data['error'] = 'Неверно указано описание!';
        $data['id'] = 'description';
    }
    if($description_check === FALSE && empty($data)){
        $data['error'] = 'Неверно указана информация для проверки!';
        $data['id'] = 'description_check';
    }
    if($url === FALSE && empty($data)){
        $data['error'] = 'Неверно указан URL!';
        $data['id'] = 'url';
    }
    if($category === FALSE && empty($data)){
        $data['error'] = 'Неверно указана категория!';
        $data['id'] = 'category';
    }
    if($cost === FALSE && empty($data)){
        $data['error'] = 'Неверно указана стоимость!';
        $data['id'] = 'cost';
    }
    if(empty($data)){
        $db->Query("SELECT * FROM `db_task` WHERE `id` = '$task_id'");
        if($db->NumRows() == 0){
            $data['error'] = 'Неверные данные!';
            $data['id'] = 'task_id';
        }else{
            $result = $db->FetchArray();
            $moderation = $result['moderation'];
            $owner = $result['user_id'];
            if($owner != $user_id && $user_id != 1){
                $data['error'] = 'Это не Ваше задание!';
                $data['id'] = 'task_id';
            }
        }
    }
    /*if(empty($data)){
        if($title != $result['title'] || $description != $result['description'] || $description_check != $result['description_check'] || $url != $result['url'] || $cost != $result['cost']){
            $moderation = 'waiting'; 
        }
    }*/
    if($cost < $result['cost']){
        $data['error'] = 'Понижать стоимость нельзя!';
        $data['id'] = 'cost';
    }
    if(empty($data) && !empty($diff)){
        if($diff < 0){//если разница меньше 0, значит нужно списывать со счета - нужно проверить наличие баланса
            $db->Query("SELECT `money_p` FROM `db_users_b` WHERE `id` = '$user_id'");
            if($db->NumRows() > 0){
                $money_p = $db->FetchRow();//средства пользователя
                if($money_p < abs($diff)){//если среств на балансе меньше чем разница по модулю, то ошибка
                    $data['error'] = 'Нет средств для увеличения стоимости задания!';
                    $data['id'] = 'cost';
                }
            }else{
                $data['error'] = 'Неверные данные!';
                $data['id'] = 'user_id';
            }
        }
    }
    if(!empty($data)){
        $data['status'] = 'error';
        $data['title'] = 'Ошибка';
        $data['redirect'] = '';
    }
    if(empty($data)){
        $db->Query("UPDATE `db_users_b` SET `money_p` = `money_p` + '$diff' WHERE `id` = '$owner'");
        $db->Query("UPDATE `db_task` SET `title` = '$title',`description` = '$description',`description_check` = '$description_check',`url` = '$url',`category` = '$category',`cost` = '$cost' WHERE `id` = '$task_id'");
        $data['status'] = 'success';
        $data['title'] = 'Успешно';
        $data['error'] = 'Вы успешно отредактировали задание';
        $data['redirect'] = '/account/task/my';
    }
}else{
    $data['status'] = 'error';
    $data['title'] = 'Ошибка';
    $data['error'] = 'Ошибка данных';
    $data['redirect'] = '';
}
echo json_encode($data);