<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = "О проекте";
$_OPTIMIZATION["description"] = "Маркетинг проекта";
$_OPTIMIZATION["keywords"] = "Немного о нас и о нашем проекте";
?>

<div class="head-page">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <h1 class="title-page">О проекте</h1>
        <div class="breadcrumbs">
          <ul class="breadcrumbs__list">
            <li class="breadcrumbs__item">
              <a href="/" class="breadcrumbs__link">Главная</a>
            </li>
            <li class="breadcrumbs__item">О проекте</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="content" style="padding-top:0;">
  <div class="categoryes">
    <div class="categoryes__item">
      <div class="container">
        <div class="row">
          <div class="col-md-3">
            <figure class="categoryes__fig">
              <img src="/img/cat-b.jpg" alt="" style="width:256px;"/>
            </figure>
          </div>
          <div class="col-md-9">
            <h2 class="categoryes__name">ИГРОВОЙ ПРОЦЕСС</h2>
            <p class="categoryes__desc"><?=$config->SITE_NAME;?> - Это игровой симулятор автопарка с возможностью вывода реальных денег. Игроку необходимо расширять свой собственный автопарк покупая машины, машины в свою очередь перевозят пассажиров, тем самым увеличивая выручку автопарка.</p>
            <a class="btn" target="_blank" href="/account/carpark">
              <span class="btn__text">КУПИТЬ ПЕРВУЮ МАШИНУ</span>
            </a>
          </div>
        </div>
      </div>
    </div>
    <div class="categoryes__item">
      <div class="container">
        <div class="row">
          <div class="col-md-3 col-md-push-9">
            <figure class="categoryes__fig">
              <img src="/img/cat-c.jpg" alt="" style="width:256px;"/>
            </figure>
          </div>
          <div class="col-md-9 col-md-pull-3">
            <h2 class="categoryes__name">ЗАРАБОТОК В ИНТЕРНЕТЕ</h2>
            <p class="categoryes__desc">Средства заработанные автопарком в игровой валюте пользователь проекта обменивает на свой внутренний счет, с которого можно заказать выплату на свой электронный кошелек, банковскую карту или мобильный телефон.</p>
            <a class="btn" target="_blank" href="">
              <span class="btn__text">ОБУЧАЮЩАЯ СТРАНИЦА</span>
            </a>
          </div>
        </div>
      </div>
    </div>
    <div class="categoryes__item">
      <div class="container">
        <div class="row">
          <div class="col-md-3">
            <figure class="categoryes__fig">
              <img src="/img/cat-d.jpg" alt="" style="width:256px;"/>
            </figure>
          </div>
          <div class="col-md-9">
            <h2 class="categoryes__name">ПАРТНЕРСКАЯ ПРОГРАММА</h2>
            <p class="categoryes__desc">Для всех пользователей проекта также доступна партнерская программа. Мы выплачиваем 7% от всех пополнений приглашенных Вами игроков(рефералов), а так же 3% от рефералов 2 уровня. Средства заработанные на партнерской программе начисляются на Ваш счет для вывода, это означает что их можно вывести из проекта сразу после начисления на баланс.</p>
            <a class="btn" target="_blank" href="">
              <span class="btn__text">МОИ РЕФЕРАЛЫ</span>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="course course_theme_light">
    <div class="container">
      <h2 class="title">Маркетинг <span class="title__mark">проекта</span>
      </h2>
      <p class="desc course__desc">Ниже приведены данные о ценах и доходе игрового имущества, без учета различных бонусов и улучшений. </p>
      <ul class="course__list row">
        <?php
        foreach($items as $item => $details){
        ?>
        <li class="course__list-item col-md-4">
          <div class="course__item">
            <div class="course__topname">
               <h3 class="course__item-name"><?=$details['name'];?></h3>
            </div>
            <div class="course__item-head">
              <img src="<?=$details['img'];?>" style="height:140px;">
            </div>
            <div class="course__price">
              <div class="course__price-item">
                <div class="course__price-kind">Стоимость</div>
                <div class="course__price-value"><?=$details['price'];?> руб.</div>
              </div>
              <div class="course__price-item">
                <div class="course__price-kind">Доходность</div>
                <div class="course__price-value"><?=$details['profit_percent_month'];?>% / мес.</div>
              </div>
              <div class="course__price-item">
                <div class="course__price-kind">Скорость</div>
                <div class="course__price-value"><?=$details['in_hour'];?>Р / час</div>
              </div>
            </div>
          </div>
        </li>
        <?php
        }
        ?>
      </ul>
    </div>
  </div>
</div>