<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
if(isset($_SESSION['user_id'])){ Header('Location: /account'); return; }
$_OPTIMIZATION["title"] = "Регистрация";
$_OPTIMIZATION["description"] = "Регистрация в системе.";
?>
<!-- feature area -->
<div class="content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-8">
                <!-- section title -->
                <div class="section-title text-center">
                    <h2>Регистрация аккаунта</h2>
                    <p>Если у вас уже есть аккаунт <a class="text-info" href="/signin">Войдите!</a> Забыли пароль? <a class="text-info" href="/recovery">Восстановить тут</a></p>.
                </div>
                <!-- End of section title -->
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-lg-4">
                <div class="alert bg-light stat" style="margin-top: -55px;"><h5>Форма регистрации</h5><hr>
                <?PHP
                # Регистрация
                if(isset($_POST['signup'])){
                    if(!empty($_POST['g-recaptcha-response'])){
                        $login = $func->IsLogin($_POST['login']);
                        $password = $func->IsPassword($_POST['password']);
                        $ip = $func->UserIP;
                        $email = $func->IsMail($_POST['email']);
                        $rules = isset($_POST['rules']) ? true : false;
                        $time = time();
                        $referer_id = (isset($_COOKIE['referer']) AND intval($_COOKIE['referer']) > 0 AND intval($_COOKIE['referer']) < 1000000) ? intval($_COOKIE['referer']) : 1;
                        $referer_name = "";
                        if($referer_id != 1){
                            $db->Query("SELECT `user` FROM `db_users_a` WHERE `id` = '$referer_id' LIMIT 1");
                            if($db->NumRows() > 0){
                                $referer_name = $db->FetchRow();
                            }else{
                                $referer_id = 1; $referer_name = "Admin";
                            }
                        }else{
                            $referer_id = 1;
                            $referer_name = 'Admin';
                        }
                        if($rules){
                            if($email !== false){
                                if($login !== false){
                                    if($password !== false){
                                        $db->Query("SELECT COUNT(*) FROM `db_users_a` WHERE `user` = '$login'");
                                        if($db->FetchRow() == 0){
                                            $db->Query("SELECT COUNT(*) FROM `db_users_a` WHERE `email` = '$email'");
                                            if($db->FetchRow() == 0){
                                                # Регаем пользователя
                                                $db->Query("INSERT INTO `db_users_a` (`user`, `email`, `pass`, `referer`, `referer_id`, `date_reg`, `ip`) 
                                                VALUES ('$login','$email','$password','$referer_name','$referer_id','$time',INET_ATON('$ip'))");
                                                $lid = $db->LastInsert();
                                                $db->Query("INSERT INTO `db_users_b` (`id`, `user`) VALUES ('$lid','$login')");
                                                # Вставляем статистику
                                                $db->Query("UPDATE `db_stats` SET `all_users` = `all_users` + '1' WHERE `id` = '1'");
                                                # Отправляем на почту
                                                $sender = new isender;
                                                $sender -> SendAfterReg($login,$email, $password);
                                                $_SESSION['user_id'] = $lid;
                                                $_SESSION['user'] = $login;
                                                $_SESSION['referer_id'] = $referer_id;
                                                Header('Location: /account');
                                            }else{
                                                echo '<div class="alert alert-danger">Указанный E-mail уже используется</div>';
                                            }
                                        }else{
                                            echo '<div class="alert alert-danger">Указанный логин уже используется</div>';
                                        }	
                                    }else{
                                        echo '<div class="alert alert-danger">Пароль заполнен неверно</div>';
                                    }
                                }else{
                                    echo '<div class="alert alert-danger">Логин заполнен неверно</div>';
                                }
                            }else{
                                echo '<div class="alert alert-danger">Email имеет неверный формат</div>';
                            }
                        }else{
                            echo '<div class="alert alert-danger">Вы не подтвердили правила</div>';
                        }
                    }else{echo '<div class="alert alert-danger">Вы не прошли каптчу</div>';}
                }	
                ?>
                    <form class="form" action="" method="post">
                        <div class="form-group">
                            <input class="form-control" id="login" placeholder="Придумайте логин" name="login" type="text" size="25" maxlength="10" value="" required>
                        </div>
                        <div class="form-group">
                            <input class="form-control" id="email" placeholder="Введите email" name="email" type="text" size="25" maxlength="50" value="" required>
                        </div>
                        <div class="form-group">
                            <input class="form-control" id="pwd" placeholder="Придумайте пароль" name="password" type="password" size="25" maxlength="20" required>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-3 col-md-9">
                                <div class="checkbox">
                                    <label><input name="rules" type="checkbox" /> <a href="/terms">Условия</a> принимаю.</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <center style="height: 90px;position: relative;clear:both;" class="g-recaptcha" data-sitekey="6Lc_XJIUAAAAAE3-ZAfqKmpGArbOB5mRzZL9rBgJ"></center>
                            <center>
                                <input class="btn btn-lg btn-success" name="signup" type="submit" value="Зарегистрироваться">
                            </center>
                        </div><br/>
                    </form>
                    <div class="row justify-content-center">
                        <script src="//ulogin.ru/js/ulogin.js"></script>
                        <div id="uLogin" data-ulogin="display=panel;theme=classic;fields=first_name,last_name,email;providers=vkontakte,google,webmoney,yandex;hidden=other;redirect_uri=https%3A%2F%2F<?=$_SERVER['HTTP_HOST'];?>%2Fsocial_login.php;mobilebuttons=0;"></div>
                    </div>
                </div>
            </div><!--/.row-->
        </div><!--/.container-->
    </div>
</div>