<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = "Статистика";
$_OPTIMIZATION["description"] = "Статистика выплаты, регистрации, пополнения, лидеры.";
$_OPTIMIZATION["keywords"] = "Статистика, последняя статистика игры с выводом денег платящие игры экономические фермы";
$time = time() - 60*60*24;
$db->Query("SELECT `db_stats`.*,(SELECT COUNT(*) FROM `db_users_a` WHERE `date_reg` > '$time') `new_users`,(SELECT SUM(`views`) FROM `db_users_b`) `all_views` FROM `db_stats`");
$data = $db->FetchArray();
?>
<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Рекламодателю';
$_OPTIMIZATION['description'] = 'Информация для рекламодателей';
$boolean = array(0 => '<div class="text-danger">НЕТ</div>',1 => '<div class="text-primary">ДА</div>');
?>
<div class="content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-8">
            <!-- section title -->
                <div class="section-title text-center">
                    <h2>Статистика</h2>
                </div>
            <!-- End of section title -->
            </div>
        </div>
        <div class="row">
            <div class="col-md-3 col-sm-6">
                <!-- single counetr -->
                <div class="single-counter text-center">
                    <span class="counter"><?=$data['all_users'];?></span> пользователей
                    <p>Зарегистрировано</p>
                </div><!-- single counetr -->
            </div>
            <div class="col-md-3 col-sm-6">
                <!-- single counetr -->
                <div class="single-counter text-center">
                    <span class="counter"><?=$data['new_users'];?></span> пользователей
                    <p>Новых за 24 часа</p>
                </div><!-- single counetr -->
            </div>
            <div class="col-md-3 col-sm-6">
                <!-- single counetr -->
                <div class="single-counter text-center">
                    <span class="counter"><?=$data['all_payments'];?></span> рублей
                    <p>Выплачено</p>
                </div><!-- single counetr -->
            </div>
            <div class="col-md-3 col-sm-6">
                <!-- single counetr -->
                <div class="single-counter text-center">
                    <span class="counter"><?=$data['all_views'];?></span> рекламных
                    <p>Просмотров</p>
                </div><!-- single counetr -->
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div>
<!-- Tab panes -->
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="card bg-light"><h5 class="card-header">Крайние 20 выплат</h5>
                <div class="card-body">
                    <table width="100%" class="table">
                        <thead>
                            <th>Логин</th>
                            <th>Сумма</th>
                            <th>Дата</th>
                        </thead>
                        <tbody>
                            <?PHP
                            $db->Query("SELECT * FROM `db_payment` WHERE `status` = '3' ORDER BY `id` DESC LIMIT 20");
                            if($db->NumRows() > 0){
                                while($result = $db->FetchArray()){		
                                ?>
                                <tr>
                                    <td><?=$result['user'];?></td>
                                    <td style="padding: 5px;"><?=$result['sum']; ?> <?=$result['valuta']; ?></td>
                                    <td style="padding: 5px;"><?=$result['date_add']; ?></td>
                                </tr>
                                <?PHP
                                }
                            }else{
                                echo '<tr><td style="padding: 5px;" align="center" colspan="3">Нет записей</td></tr>';
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
	</div><!-- Payments -->
	<div class="col-md-4">
            <div class="card bg-light">
                <h5 class="card-header">Топ-10 по рефералам</h5>
                <div class="card-body">
                    <table width="100%" class="table table-bordered">
			<thead>
                            <th>Логин</th>
                            <th>Рефералов</th>
                        </thead>
                        <tbody>
                            <?PHP
                            $db->Query("SELECT `user`,`referals` FROM `db_users_a` ORDER BY `referals` DESC LIMIT 10");
                            if($db->NumRows() > 0){
                                while($data = $db->FetchArray()){?>
                                    <tr align="center">
                                        <td><?=$data['user'];?></td>
                                        <td><?=$data['referals'];?> чел.</td>
                                    </tr>
                                <?PHP
                                }
                            }
                            ?>
			</tbody>
                    </table>
                </div>
            </div>
	</div><!-- Referals -->
	<div class="col-md-4">
            <div class="card bg-light">
                <h5 class="card-header">Топ-10 рекламодателей</h5>
                <div class="card-body">
                    <table width="100%" class="table table-bordered">
			<thead>
                            <th>Логин</th>
                            <th>Сумма</th>
                        </thead>
                        <tbody>
                            <?PHP
                            $db->Query("SELECT `user`,`insert_sum` FROM `db_users_b` ORDER BY `insert_sum` DESC LIMIT 10");
                            if($db->NumRows() > 0){
                                while($data = $db->FetchArray()){?>
                                    <tr align="center">
                                        <td><?=$data['user'];?></td>
                                        <td><?=$data['insert_sum'];?> RUB</td>
                                    </tr>
                                <?PHP
                                }
                            }
                            ?>
			</tbody>
                    </table>
                </div>
            </div>
	</div><!-- top inv -->

	<div class="col-md-4">
            <div class="card bg-light">
                <h5 class="card-header">Топ-10 по заработку</h5>
                <div class="card-body">
                    <table width="100%" class="table table-bordered">
			<thead>
                            <th>Логин</th>
                            <th>Сумма</th>
                        </thead>
                        <tbody>
                            <?PHP
                            $db->Query("SELECT `user`,`payment_sum` FROM `db_users_b` ORDER BY `payment_sum` DESC LIMIT 10");
                            if($db->NumRows() > 0){
                                while($data = $db->FetchArray()){?>
                                    <tr align="center">
                                        <td><?=$data['user'];?></td>
                                        <td><?=$data['payment_sum'];?> RUB</td>
                                    </tr>
                                <?PHP
                                }
                            }
                            ?>
			</tbody>
                    </table>
                </div>
            </div>
	</div><!-- top payouts -->
    </div>
</div>
</div>