<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = "Партнерская программа";
?>
<!-- Start right Content here -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="">
            <div class="page-header-title">
                <h4 class="page-title">{!TITLE!}</h4>
            </div>
        </div>
        <div class="page-content-wrapper ">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-lg-3 partner_cl_top">
                        <div class="panel text-center">
                            <div class="panel-heading">
                                <h4 class="panel-title text-muted font-light profilemsz">Количество рефералов</h4>
                            </div>
                            <div class="panel-body p-t-0">
                                <h2 class="m-t-0 m-b-5 profilemst"><i class="mdi mdi-account-network text-danger m-r-10"></i><b><?=$referals; ?> чел.</b></h2>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-3 partner_cl_top">
                        <div class="panel text-center">
                            <div class="panel-heading">
                                <h4 class="panel-title text-muted font-light profilemsz">Доход с рефералов</h4>
                            </div>
                            <div class="panel-body p-t-0">
                                <h2 class="m-t-0 m-b-5 profilemst"><i class="mdi mdi-cash-multiple text-primary m-r-10"></i><b><?=sprintf("%.2f",$user_data['from_referals']); ?>Р</b></h2>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-3 partner_cl_top">
                        <div class="panel text-center">
                            <div class="panel-heading">
                                <h4 class="panel-title text-muted font-light profilemsz">Просмотров реф. ссылки</h4>
                            </div>
                            <div class="panel-body p-t-0">
                                <h2 class="m-t-0 m-b-5 profilemst"><i class="mdi mdi-mouse text-danger m-r-10"></i><b><?=$user_data['ref_view'];?></b></h2>
                            </div>
                        </div>
                    </div>
                </div><!-- end row -->

                <div class="row">
                    <div class="col-lg-9 partner_cl">
                        <div class="panel panel-primary">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4 class="m-b-10 m-t-0" style="color:#d20909;">Реферальная ссылка:</h4>
                                        <h5 class="profileinfoh5"><b class="partner_stath5">Реф. ссылка:</b> <span style="float:none;margin-left: 15px;"> https://<?=$_SERVER['HTTP_HOST']; ?>/?ref=<?=$user_id; ?></span></h5>
                                    </div>
                                    <div class="col-md-6">
                                        <h4 class="m-b-10 m-t-0" style="color:#d20909;">Реф. статистика:</h4>
                                        <h5 class="profileinfoh5"><b class="partner_stath5">- Кол-во рефералов :</b> <span><?=$referals; ?> чел.</span></h5>
                                        <h5 class="profileinfoh5"><b class="partner_stath5">- Общий доход с рефералов:</b> <span><?=sprintf("%.2f",$user_data['from_referals']); ?>Р</span></h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-9 partner_cl">
                        <div class="panel panel-primary">
                            <div class="panel-body">
                                <h4 class="m-b-10 m-t-0">Описание партнерской программы:</h4>
                                <p>В партнерской программе может участвовать любой пользователь проекта. Программа предусматривает ряд вознаграждений за определенные действия Ваших рефералов. Рефералы - пользователи, которые зарегистрировались на проекте после перехода по Вашей реферальной ссылке.</p>
                                <h4 class="m-b-10 m-t-0">Вознаграждения:</h4>
                                <p class="partner_payp"> - 7% от суммы пополнения реферала </p>
                                <h5 class="m-b-0 m-t-0" style="color:#b10909;letter-spacing:1px;">Вознаграждения выплачиваются на Ваш баланс для вывода!</h5>
                            </div>
                        </div>
                    </div>
                </div> <!-- End Row -->
            </div><!-- container -->
        </div>