<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Партнерская программа';
?>
<div class="content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-8">
                <!-- section title -->
                <div class="section-title text-center account">
                    <h2>{!TITLE!}</h2>
                </div>
                <!-- End of section title -->
            </div>
        </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="alert bg-light">
                        Приглашайте своих друзей и знакомых, получайте рублейы <?=$db_config['to_referer'];?> процентов от их заработка, а также <?=$db_config['to_referer_insert'];?>% за пополнение рекламного счета.
                        <b><br/>
                         - Рефералов: <?=$user_data['referals'];?> чел.<br/>
                         - Реф-доход: <?=$user_data['from_referals'];?> рублей (<?=$user_data['from_referals']/$db_config['ser_per_wmr'];?> руб.)<br/></b>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="alert bg-light">
                        <h5>Реферальная ссылка: </h5>
                        <input type="text" onclick="this.select()" class="form-control" value="https://<?=$_SERVER['HTTP_HOST']?>/?i=<?=$user_id;?>"><br>
                        <center>
                            <button type="button" class="btn btn-success btn-lg" style="color: #fff;" data-toggle="collapse" data-target="#demo">GIF Баннеры</button>
                        </center>
                    </div>
                </div>
            </div>
            <br/>
            <div id="demo" class="collapse">
                <div class="row">
                    <div class="col-md-8">
                        <div class="card bg-light">
                            <div class="card-header">Размер баннера: <b>468х60</b></div>
                            <div class="card-body">
                                <img src="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/468.gif">
                            </div>
                            <div class="card-footer">
                                <input style="margin: 2px 0 0 0;" type="text" onclick="this.select()" class="form-control" value="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/468.gif">
                            </div>
                        </div>
                        <br/>
                        <div class="card bg-light">
                            <div class="card-header">Размер баннера: <b>728х90</b></div>
                            <div class="card-body">
                                <img src="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/728.gif" style="width: 100%;">
                            </div>
                            <div class="card-footer">
                                <input style="margin: 2px 0 0 0;" type="text" onclick="this.select()" class="form-control" value="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/728.gif">
                            </div>
                        </div>
                        <br/>
                    </div>
                    <div class="col-md-4">
                        <div class="card bg-light">
                            <div class="card-header">Размер баннера: <b>200х300</b></div>
                                <div class="card-body">
                                    <img src="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/200.gif">
                                </div>
                                <div class="card-footer">
                                    <input style="margin: 2px 0 0 0;" type="text" onclick="this.select()" class="form-control" value="https://<?=$_SERVER['HTTP_HOST']?>/assets/images/promo/200.gif">
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Tab panes -->
            <div class="alert bg-light">
                <h5>Список ваших рефералов</h5>
                <table cellpadding="4" cellspacing="0" align="center" width="100%" class="table table-striped">
                    <thead bgcolor="#efefef">
                        <th style="padding: 5px;text-align: center;">Логин</th>
                        <th style="padding: 5px;text-align: center;">Доход</th>
                        <th style="padding: 5px;text-align: center;">Источник</th>
                        <th style="padding: 5px;text-align: center;">Дата регистрации</th>
                    </thead>
                    <tbody>
                        <?PHP
                        $db->Query("SELECT `user`,(SELECT `to_referer` FROM `db_users_b` WHERE `db_users_a`.`id` = `db_users_b`.`id`) `to_referer`,`refsite`,`date_reg` FROM `db_users_a` WHERE `referer_id` = '$user_id' ORDER BY `id` DESC");
                        if($db->NumRows() > 0){
                            while($result = $db->FetchArray()){?>
                            <tr>
                                <td align="center"><?=$result['user'];?></td>
                                <td align="center"><?=$result['to_referer'];?></td>
                                <td align="center"><?=$result['refsite'];?></td>
                                <td align="center"><?=date('d/m/Y H:m',$result['date_reg']);?></td>
                            </tr>   
                            <?PHP
                            }
                        }else{
                            echo '<tr><td align="center" colspan="4">У вас нет рефералов</td></tr>';
                        }
                        ?>
                    </tbody>
                </table>
            </div>
<div style="clear:both;">
</div></div></div>