<?php
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Тарифные планы';
?>
<div class="content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-8">
                <!-- section title -->
                <div class="section-title text-center account">
                    <h2>{!TITLE!}</h2>
                    <p>Для увеличения прибыли с просмотров сайтов купите тарифный план. Тарифный план начинает свое действие на следующие сутки после его приобретения</p>
                </div>
                <!-- End of section title -->
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-md-4 text-center">
    
    
<?PHP
$db->Query("SELECT COUNT(*) FROM `db_serfing_view` WHERE `user_id` = '$user_id' AND DATE(`time_add`) = CURDATE()");
$count_view = $db->FetchRow();
echo '<p>За сегодня у Вас '.$count_view.' просмотров</p>';
$db->Query("SELECT * FROM `db_tarif` WHERE `views` <= '$count_view'");
$data_tarifs = array();
if($db->NumRows() > 0){
    while($result = $db->FetchArray()){
        $data_tarifs[] = $result;
    }
    foreach($data_tarifs as $array){
        $db->Query("SELECT `tarif` FROM `db_tarif_buy` WHERE `tarif` = '".$array['id']."' AND `status` = '1' AND `user_id` = '$user_id'");
        if($db->NumRows() == 0){
            echo '<p>При покупке плана "'.$array['name'].'" дополнительный заработок за сегодня составил бы '.round($array['profit'],2).' рублей</p>';
        }
    }
}
?>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-md-6">
<?PHP
if(!empty($_POST['tarif'])){
    $tarif = intval($_POST['tarif']);
    $db->Query("SELECT * FROM `db_tarif_buy` WHERE `tarif` = '$tarif' AND `user_id` = '$user_id' AND `status` = '1'");
    if($db->NumRows() == 0){
        $db->Query("SELECT * FROM `db_tarif` WHERE `status` = '1' AND `id` = '$tarif' LIMIT 1");
        if($db->NumRows() == 1){
            $data_row = $db->FetchAssoc();
            if($user_data['money_p'] >= $data_row['cost']){
                $db->Query("INSERT `db_tarif_buy` (`user_id`,`tarif`,`date_end`,`status`) VALUES ('$user_id','".$data_row['id']."',NOW() + INTERVAL ".$data_row['duration']." DAY,'1')");
                $db->Query("UPDATE `db_users_b` SET `money_p` = `money_p` - '".$data_row['cost']."' WHERE `id` = '$user_id'");
                echo '<div class="alert alert-success text-center">Вы успешно купили тариф '.$data_row['name'].'!</div>';
            }else{
                echo '<div class="alert alert-danger text-center">У Вас недостаточно средств!</div>';
            }
        }else{
            echo '<div class="alert alert-danger text-center">Данный тариф не существует либо неактивен!</div>';
        }
    }else{
        echo '<div class="alert alert-danger text-center">Данный тариф уже куплен!</div>';
    }
}
?>
            </div>
        </div>
    <div class="row justify-content-center">
<?PHP
$db->Query("SELECT `tarif` FROM `db_tarif_buy` WHERE `status` = '1' AND `user_id` = '$user_id'");
$isset_tarif = array();
while($result = $db->FetchAssoc()){
    $isset_tarif[] = $result['tarif'];
}
$db->Query("SELECT * FROM `db_tarif` WHERE `status` = '1' ORDER BY `cost` DESC");
if($db->NumRows() > 0){
    while($plans = $db->FetchArray()){
        if(in_array($plans['id'],$isset_tarif)){
            $string = '<span class="card-footer bg-danger text-center text-light">Куплено</span>';
        }else{
            $string = '<form action="" method="post" id="form-'.$plans['id'].'"><input type="hidden" name="tarif" value="'.$plans['id'].'"></form><div class="card-footer bg-success text-center text-light hand" onclick="document.getElementById(\'form-'.$plans['id'].'\').submit();">Купить</div>';
        }
        echo '<div class="col-md-4 account">';
        echo '<div id="id'.$plans['id'].'" class="card bg-light">';
        echo '<div class="card-header"><i class="fa fa-car text-primary m-r-15"></i> Тариф - "'.$plans['name'].'"</div>';
        echo '<div class="bg-light">';
        echo '<table class="table table-bordered mb-0">';
        echo '<tr><th><span class="text-danger"><i class="fa fa-eye"></i></span> Просмотров</th><td>'.$plans['views'].'/день</td></tr>';
        echo '<tr><th><span class="text-success"><i class="fa fa-usd"></i></span> Заработок</th><td>'.round($plans['profit'],2).' рублей/день</td></tr>';
        echo '<tr><th><span class="text-success"><i class="fa fa-clock-o"></i></span> Срок действия</th><td>'.$plans['duration'].' дней</td></tr>';
        echo '</table>';
        echo '</div>';
        echo '<div class="card-footer text-light bg-primary">Стоимость <font id="cost'.$plans['id'].'">'.number_format($plans['cost'],2,'.','').'</font> рублей</div>';
        echo $string;
        echo '</div>';
        echo '</div>';
    }
}else{
    echo "<div class='alert alert-danger'>Нет доступных планов!</div>";
}
?>
    </div>
        <div class="row">
            <div class="col-md-12 account">
                <div class="card">
                    <center class="card-header"><b>Начисления по тарифам</b></center>
                    <table class="table table-bordered table-striped text-center">
                        <thead>
                            <th><b>Дата</b></th>
                            <th><b>Тариф</b></th>
                            <th><b>Сумма</b></th>
                        </thead>
                        <tbody>
                            <?PHP
                        $db->Query("SELECT * FROM `db_tarif_profit` WHERE `user_id` = '$user_id' LIMIT 10");
                        if($db->NumRows() > 0){
                            $data_profit = array();
                            while($data = $db->FetchArray()){
                                $data_profit[] = $data;
                            }
                            foreach($data_profit as $key => $array){
                                $db->Query("SELECT `name` FROM `db_tarif` WHERE `id` = '".$array['tarif']."'LIMIT 1");
                                $name = $db->FetchRow();
                        ?>
                            <tr align="center" class="ltb">
                                <td style="padding: 5px;"><?=date('d.m.Y',strtotime($array['date']));?></td>
                                <td style="padding: 5px;"><?=$name;?></td>
                                <td style="padding: 5px;"><?=$array['amount']; ?></td>
                            </tr>
                        <?PHP
                            }
                        }else{
                            echo '<tr><td align="center" colspan="3">Прибыли не было</td></tr>';
                        }
                        ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>