<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION["title"] = 'Добавление задания';
?>
<div class="content">
    <h3 class="title">{!TITLE!}</h3>
    <div>
        <?PHP
        include('_menu.php');
        ?>
        <div class="row">
            <div class="col-sm-12">
                <div class="card bg-light">
                    <div class="card-body">
                        <h4 class="text-warning text-center">
                            <b>Заполните правильно все поля.</b>&nbsp; &nbsp; <b>Выберите нужную категорию. </b><br/>
                            <b>Укажите стоимость одного выполнения мин. 20 серебра.</b><br/>
                            <b> Комиссия сайта 10%, снимается сразу при пополнении баланса задания</b><br/>
                        </h4>
                <form id="task_add" action="" method="POST">
                    <div class="form-group">
                        <label for="title">Название</label>
                        <input type="text" id="title" name="title" class="form-control" placeholder="Название" required>
                    </div>
                    <div class="form-group">
                        <label for="description">Описание</label>
                        <textarea rows="3" class="form-control" id="description" name="description" placeholder="Описание" required></textarea>
                    </div>
                    <div class="form-group">
                        <label for="url">URL сайта</label>
                        <input type="text" id="url" name="url" class="form-control" placeholder="URL сайта" required>
                    </div>
                    <div class="form-group">
                        <label for="category">Категория задания</label>
                        <select class="form-control" id="category" name="category">
                        <?PHP
                        $db->Query("SELECT * FROM `db_task_cat` ORDER BY `id` ASC");
                        while($result = $db->FetchArray()) {
                        ?>
                            <option value="<?=$result['id']; ?>"><?=$result['name']; ?></option>
                        <?PHP
                        }
                        ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="description_check">Информация для проверки</label>
                        <textarea rows="3" class="form-control" id="description_check" name="description_check" placeholder="Информация для проверки" required></textarea>
                    </div>
                    <div class="form-group">
                        <label for="cost">Стоимость</label>
                        <div class="input-group">
                        <input type="text" id="cost" name="cost" class="form-control" placeholder="Стоимость выполнения" onkeypress="return isNumberKey(event)" maxlength="4" required>
                        <div class="input-group-prepend">
                            <span class="input-group-text">серебра</span>
                        </div>
                        </div>
                    </div>
                    <input type="hidden" name="add">
                    <input type="hidden" id="type" name="type" value="add">
                    <input type="hidden" id="request" name="request" value="/ajax.php?action=task&type=add">
                    <button type="submit" class="btn btn-success">СОЗДАТЬ ЗАДАНИЕ</button>
                    </form>
                </div></div>
            </div>
        </div>
    </div>
</div>