<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Редактирование задания';
?>
<div class="content">
    <h3 class="title">{!TITLE!}</h3>
    <div>
        <?PHP
        include('_menu.php');
        ?>
<div class="row">
<?PHP
if(isset($_POST['task_id'])){
    $task_id = filter_var($_POST['task_id'],FILTER_VALIDATE_INT);
    if($task_id === FALSE){
        Header('Location: /account/task/my'); return;
    }
    $db->Query("SELECT * FROM `db_task_progress` WHERE `task_id` = '$task_id'");
    if($db->NumRows() > 0){
        $progress = $db->FetchArray();
        if($progress['status'] == 'waiting'){
            Header('Location: /account/task/my'); return;
        }
    }
    $db->Query("SELECT * FROM `db_task` WHERE `id` = '$task_id'");
    if($db->NumRows() == 0){
        Header('Location: /account/task/my'); return;
    }
    $result = $db->FetchArray();
    if($result['user_id'] != $user_id){
        Header('Location: /account/task/my'); return;
    }
    $title = $result['title'];
    $description = $result['description'];
    $description_check = $result['description_check'];
    $url = $result['url'];
    $category = $result['category'];
    $cost = $result['cost'];
    ?>
    <div class="col-sm-12">
        <div class="card bg-light">
            <div class="card-body">
        <form id="task_edit" action="" method="POST">
            <div class="form-group">
                <label for="title">Название</label>
                <input type="text" id="title" name="title" value="<?=$title;?>" class="form-control" placeholder="Название" required>
            </div>
            <div class="form-group">
                <label for="description">Описание</label>
                <textarea rows="3" class="form-control" id="description" name="description" placeholder="Описание" required><?=$description;?></textarea>
            </div>
            <div class="form-group">
                <label for="url">URL сайта</label>
                <input type="text" id="url" name="url" value="<?=$url;?>" class="form-control" placeholder="URL сайта" required>
            </div>
            <div class="form-group">
                <label for="category">Категория задания</label>
                <select class="form-control" id="category" name="category">
                <?PHP
                $db->Query("SELECT * FROM `db_task_cat` ORDER BY `id` ASC");
                while($result = $db->FetchArray()) {
                    $seelcted = ($result['id'] == $category)?'selected':'';
                ?>
                    <option value="<?=$result['id']; ?>" <?=$seelcted;?>><?=$result['name']; ?></option>
                <?PHP
                }
                ?>
                </select>
            </div>
            <div class="form-group">
                <label for="description_check">Информация для проверки</label>
                <textarea rows="3" class="form-control" id="description_check" name="description_check" placeholder="Информация для проверки" required><?=$description_check;?></textarea>
            </div>
            <div class="form-group">
                <label for="cost">Стоимость</label>
                <div class="input-group">
                <input type="text" id="cost" name="cost" value="<?=$cost;?>" class="form-control" placeholder="Стоимость выполнения" onkeypress="return isNumberKey(event)" maxlength="4" required>
                <div class="input-group-prepend">
                    <span class="input-group-text">серебра</span>
                </div>
                </div>
            </div>
            <input type="hidden" name="edit">
            <input type="hidden" id="task_id" name="task_id" value="<?=$task_id;?>">
            <input type="hidden" id="type" name="type" value="edit">
            <input type="hidden" id="request" name="request" value="/ajax.php?action=task&type=add">
            <button type="submit" class="btn btn-success">Сохранить</button>
            </form>
        </div></div>
    </div>
    <?PHP
}else{
    Header('Location: /account/task/my'); return;
}
?>
</div></div></div>