<?PHP
if (!defined('PSWeb') || PSWeb !== true) { Header('Location: /404'); return; }
$_OPTIMIZATION['title'] = 'Мои задания';
?>
<div class="content">
    <h3 class="title">{!TITLE!}</h3>
    <div>
        <?PHP
        include('_menu.php');
        ?>
<div class="row">
<div class="col-sm-12">
<div class="col-lg-12 card card-body text-center">
    <h4 class="text-warning">
        <b>За недобросовестную проверку задания ваш аккаунт может быть заблокирован!</b><br/>
    </h4>
</div>

<table class="table table-bordered table-hover">
  <thead>
    <tr>
        <th scope="col">#</th>
        <th scope="col">Категория / Краткое описание</th>
        <th scope="col">Стоимость</th>
        <th scope="col">Кол-во выполнений</th>
        <th scope="col">Действие</th>
        <th scope="col">Статистика</th>
    </tr>
  </thead>
  <tbody>
<?php
$category = array();
$db->Query("SELECT * FROM `db_task_cat`");
while($result = $db->FetchArray()){
    $category[$result['id']] = $result['name'];
}
$db->Query("SELECT * FROM `db_task` WHERE `user_id` = '$user_id' ORDER BY `id` DESC");
if($db->NumRows() == 0){
    echo '<tr><td colspan="6">Вы еще не добавляли свои задания! После добавления в ваших заданиях нужно пополнить количество выполнений.</td></tr>';
}else{
    while($task = $db->FetchArray()) {
        $waiting = 0;
        $db->Query("SELECT COUNT(*) FROM `db_task_progress` WHERE `task_id` = '".$task['id']."' AND `check_string` != '' AND (`status` = 'waiting' OR `status` = 'remake')",false,false);
        $waiting = $db->FetchRowLast();
        $in_progress = 0;
        $db->Query("SELECT COUNT(*) FROM `db_task_progress` WHERE `task_id` = '".$task['id']."' AND (`status` = 'waiting' OR `status` = 'remake')",false,false);
        $in_progress = $db->FetchRowLast();
?>
    <tr id="task_<?=$task['id']; ?>">
        <th scope="row"><?=$task['id']; ?></th>
        <th scope="row"><?=$category[$task['category']]; ?> / <br>
        <b><?=$task['title']; ?></b></th>
        <th scope="row"><?=$task['cost']; ?><i class="fa fa-rub"></i></th>
        <th scope="row"><b>Осталось: <font id="number_count"><?=$task['number']; ?></font> шт.<br>
            <form id="balance_add" action="" method="POST">
                <input type="hidden" name="task_id" value="<?=$task['id']; ?>">
                <div class="form-group">
                    <div class="input-group">
                        <input type="text" class="form-control" id="number" name="number" size="4" maxlength="4" value="1" onkeypress="return isNumberKey(event)">
                        <input type="hidden" id="type" name="type" value="add_balance">
                        <div class="input-group-prepend">
                            <button class="btn btn-success ball_add">Пополнить</button>
                        </div>
                    </div>
                </div>
            </form>
        </th>
        <th scope="row">
            <?PHP
            if($waiting > 0){?>
            <form action="/account/task/check" method="POST">
                <input type="hidden" name="task_id" value="<?=$task['id']; ?>">
                <button class="btn btn-success"><b>Проверить (<?=$waiting;?>)</b></button>
            </form>
            <?PHP
            }elseif($in_progress == 0){?>
                <form action="/account/task/edit" method="POST">
                    <input type="hidden" name="task_id" value="<?=$task['id']; ?>">
                    <button class="btn btn-warning" style="font-size: x-small;">Редактировать</button>
                </form>
            <?PHP
                echo '<button class="btn btn-danger delete_task" href="#" task_id="'.$task['id'].'" style="font-size: x-small;"><i class="fa fa-times"></i></button>';
            }else{
                echo 'Проверять нечего.<br>В процессе выполнения '.$in_progress;
            }
            if($task['status'] == 'active'){
                echo '<button class="btn btn-warning status_task" href="#" action="deactive" task_id="'.$task['id'].'" style="font-size: x-small;"><i class="fa fa-pause"></i></button>';
            }else{
                echo '<button class="btn btn-success status_task" href="#" action="active" task_id="'.$task['id'].'" style="font-size: x-small;"><i class="fa fa-play"></i></button>';
            }
            ?>
        </th>
	<th scope="row">
            <h4>
                <span title="Выполнено" class="badge badge-success"><?=$task['done']; ?></span>/<span title="Отклонено" class="badge badge-danger"><?=$task['canceled']; ?></span>/<span title="На проверке" class="badge badge-secondary"><?=$waiting;?></span>
            </h4>
        </th>
</tr>
<?PHP
    }
}
?>
</table>

<br><br>
</div>		
</div></div></div>